# $Revision: 1.441.2.1796.2.46 $, $Date: 2008-02-02 21:16:32 $
#
# STATUS: 2.6.22.16 ready
#
# TODO:
# - benchmark NO_HZ & HZ=1000 vs HZ=300 on i686
# - on ppc -mcpu=440 not supported by ac gcc, add BR
#
# FUTURE:
# - Linux ABI - needs update.
# - pom-ng quake3-conntrack-nat -> nf_conntrack ?
# - pom-ng rtsp-conntrack -> nf_conntrack ?
# - pom-ng talk-conntrack-nat -> nf_conntrack ?
# - nf-hipac ?
# - pax hooks for selinux (experimental)
# - Remove ROUTE target, its a hack and routing by fwmark should be used instead.
#
# NOTE:
# - kernel kvm module build disabled, it is provided by kvm.spec
#
# Conditional build:

%bcond_without	source		# don't build kernel-source package
%bcond_without	pcmcia		# don't build pcmcia
%bcond_without	regparm		# if your blob doesn't work try disable this

%bcond_with	abi		# build ABI support only ix86 !!
%bcond_with	verbose		# verbose build (V=1)
%bcond_with	xen0		# added Xen0 support
%bcond_with	xenU		# added XenU support
%bcond_without	reiser4		# support for reiser4 fs (experimental)
%bcond_with	lustre		# support lustre

%bcond_without	grsecurity	# don't build grsecurity nor pax at all
%bcond_without	grsec_minimal	# build only minimal subset (proc,link,fifo,shm)
%bcond_with	grsec_full	# build full grsecurity
%bcond_with	pax_full	# build pax and full grsecurity (ie. grsec_full && pax)
%bcond_with	pax		# build pax support

%bcond_with	fbsplash	# fbsplash instead of bootsplash
%bcond_with	vesafb_tng	# vesafb-tng, vesafb replacement from gentoo
%bcond_with	pae		# build PAE (HIGHMEM64G) support on uniprocessor
%bcond_with	nfsroot		# build with root on NFS support

%bcond_without	imq		# imq support
%bcond_without	wrr		# wrr support
%bcond_without	ipv6		# ipv6 support

%bcond_without	vserver		# support for VServer (enabled by default)
%bcond_without	suspend2	# support for Suspend2 (enabled by default)

%bcond_with	vs22		# use vserver 2.2 instead of 2.3 (see comment near patch 102)


%{?debug:%define with_verbose 1}

%if %{without grsecurity}
%undefine	with_grsec_full
%undefine	with_grsec_minimal
%undefine	with_pax
%undefine	with_pax_full
%endif

%if %{with pax_full}
%undefine	with_grsec_minimal
%define		with_grsec_full		1
%define		with_grsecurity		1
%define		with_pax		1
%endif

%if %{with grsec_full}
%undefine	with_grsec_minimal
%define		with_grsecurity		1
%endif

%if %{with grsec_minimal}
%undefine	with_grsec_full
%undefine	with_pax_full
%define		with_grsecurity		1
%endif

%ifnarch %{ix86}
%undefine	abi
%endif

%define		have_drm	1
%define		have_oss	1
%define		have_sound	1

%ifarch %{ix86} alpha ppc
%define		have_isa	1
%else
%define		have_isa	0
%endif

%ifarch sparc sparc64
%undefine	with_pcmcia
%define		have_drm	0
%define		have_oss	0
%endif

%define		_basever		2.6.22
%define		_postver		.16
%define		_prepatch		%{nil}
%define		_pre_rc			%{nil}
%define		_rc			%{nil}
%define		_rel			4BL2
%define		subname			%{?with_pax:-pax}%{?with_grsec_full:-grsecurity}%{?with_xen0:-xen0}%{?with_xenU:-xenU}

%define		_enable_debug_packages			0

%define		squashfs_version	3.2
%define		suspend_version		2.2.10
%define		netfilter_snap		20070806
%define         xen_version             3.1.0

%if %{with xen0}
%define         xen     xen0
%define         dashxen \-xen0
%define         pae     1
%else
%if %{with xenU}
%define         xen     xenU
%define         dashxen \-xenU
%define         pae     1
%else
%define         xen     %{nil}
%define         dashxen	%{nil}
%endif
%endif

Summary:	The Linux kernel (the core of the Linux operating system)
Summary(de.UTF-8):	Der Linux-Kernel (Kern des Linux-Betriebssystems)
Summary(et.UTF-8):	Linuxi kernel (ehk operatsioonisüsteemi tuum)
Summary(fr.UTF-8):	Le Kernel-Linux (La partie centrale du systeme)
Summary(pl.UTF-8):	Jądro Linuksa
Name:		kernel%{subname}

%if "%{_prepatch}" == "%{nil}"
Version:	%{_basever}%{_postver}
Release:	%{_rel}
%else
Version:	%{_prepatch}
Release:	0.%{_pre_rc}.%{_rel}
%endif

Epoch:		3
License:	GPL v2
Group:		Base/Kernel
#Source0:	ftp://ftp.kernel.org/pub/linux/kernel/v2.6/testing/linux-%{version}%{_rc}.tar.bz2
Source0:	http://www.kernel.org/pub/linux/kernel/v2.6/linux-%{_basever}%{_rc}.tar.bz2
# Source0-md5:	2e230d005c002fb3d38a3ca07c0200d0
%if "%{_prepatch}" != "%{nil}"
Source90:	http://www.kernel.org/pub/linux/kernel/v2.6/testing/patch-%{_prepatch}-%{_pre_rc}.bz2
# Source90-md5:	b78873f8a3aff5bdc719fc7fb4c66a9b
%endif
%if "%{_postver}" != "%{nil}"
Source1:	http://www.kernel.org/pub/linux/kernel/v2.6/patch-%{version}.bz2
# Source1-md5:	677f4eec305e7893e74b24e7349d4b80
%endif

Source3:	kernel-autoconf.h
Source4:	kernel-config.h
Source5:	kernel-ppclibs.Makefile
Source7:	kernel-module-build.pl

# TODO - cleanup
Source14:	http://ace-host.stuart.id.au/russell/files/debian/sarge/kernel-patch-linuxabi/kernel-patch-linuxabi_20060404.tar.gz
# Source14-md5:	bf32f8baa98aeafa75a672097acd9cc8

Source20:	kernel-i386.config
Source21:	kernel-x86_64.config
Source22:	kernel-sparc.config
Source23:	kernel-sparc64.config
Source24:	kernel-alpha.config
Source25:	kernel-ppc.config
Source26:	kernel-ia64.config
Source27:	kernel-ppc64.config

Source34:	kernel-abi.config
Source35:	kernel-prefetch.config

Source40:	kernel-netfilter.config
Source41:	kernel-squashfs.config
Source42:	kernel-suspend2.config
Source43:	kernel-vserver.config
Source44:	kernel-vesafb-tng.config
Source45:	kernel-grsec.config
Source46:	kernel-xen0.config
Source47:	kernel-xenU.config

Source49:	kernel-pax.config
Source50:	kernel-no-pax.config
Source51:	kernel-grsec_minimal.config
Source55:	kernel-imq.config
Source56:	kernel-reiser4.config
Source57:	kernel-wrr.config
Source58:	kernel-lustre.config


###
#	Patches
###
Patch1:		kernel-modpost_warn.patch

# tahoe9XX http://tahoe.pl/drivers/tahoe9xx-2.6.11.5.patch
Patch2:		tahoe9xx-2.6.11.5.patch

# ftp://ftp.openbios.org/pub/bootsplash/kernel/bootsplash-3.1.6-2.6.21.diff.gz
Patch3:		linux-2.6-bootsplash.patch
# http://dev.gentoo.org/~spock/projects/gensplash/archive/fbsplash-0.9.2-r5-2.6.20-rc6.patch
Patch4:		fbsplash-0.9.2-r5-2.6.20-rc6.patch

# http://dev.gentoo.org/~spock/projects/vesafb-tng/archive/vesafb-tng-1.0-rc2-2.6.20-rc2.patch
Patch5:		vesafb-tng-1.0-rc2-2.6.20-rc2.patch

# Squashfs from squashfs: http://mesh.dl.sourceforge.net/sourceforge/squashfs/squashfs3.2-r2.tar.gz for linux-2.6.20
Patch6:		squashfs%{squashfs_version}-patch
Patch7:		linux-alpha-isa.patch
Patch8:		linux-fbcon-margins.patch
Patch9:		linux-static-dev.patch

# netfilter related stuff mostly based on patch-o-matic-ng
# snapshot 20061213 with some fixes related to changes in
# netfilter api in 2.6.19 up to 2.6.22. Some modules
# were ported to nf_conntrack. Some of these are unique.

Patch10:	kernel-pom-ng-IPV4OPTSSTRIP.patch
Patch11:	kernel-pom-ng-ipv4options.patch
Patch12:	kernel-pom-ng-set.patch
Patch13:	kernel-pom-ng-u32.patch
Patch14:	kernel-pom-ng-ROUTE.patch
Patch15:	kernel-pom-ng-TARPIT.patch
Patch16:	kernel-pom-ng-mms-conntrack-nat.patch
Patch17:	kernel-pom-ng-IPMARK.patch
Patch18:	kernel-pom-ng-connlimit.patch
Patch19:	kernel-pom-ng-geoip.patch
Patch20:	kernel-pom-ng-ipp2p.patch
Patch21:	kernel-pom-ng-time.patch
Patch22:	kernel-pom-ng-rsh.patch
Patch23:	kernel-pom-ng-rpc.patch

# http://ftp.linux-vserver.org/pub/people/dhozac/p/k/delta-owner-xid-feat02.diff
Patch37:	kernel-owner-xid.patch

# based on http://www.svn.barbara.eu.org/ipt_account/attachment/wiki/Software/ipt_account-0.1.21-20070804164729.tar.gz?format=raw
Patch38:	kernel-ipt_account.patch

# based on http://www.intra2net.com/de/produkte/opensource/ipt_account/pom-ng-ipt_ACCOUNT-1.10.tgz
Patch39:	kernel-ipt_ACCOUNT.patch

# netfilter-layer7-v2.13.tar.gz from http://l7-filter.sf.net/
Patch40:	kernel-layer7.patch

# http://www.ssi.bg/~ja/nfct/ipvs-nfct-2.6.22-1.diff
Patch41:	kernel-ipvs-nfct.patch

### End netfilter

# http://www.linuximq.net/patchs/ (note 2.6.21 patch is broken here)
# Use patch from http://www.actusa.net/~linuximq/ because linuximq.net one is broken.
Patch50:	kernel-imq.patch

# based on ftp://ftp.namesys.com/pub/reiser4-for-2.6/2.6.22/reiser4-for-2.6.22-2.patch.gz
Patch51:	reiser4-for-2.6.22-2.patch

# wrr http://www.zz9.dk/patches/wrr-linux-070717-2.6.22.patch.gz
Patch52:	wrr-linux-070717-2.6.22.patch

# esfq from http://fatooh.org/esfq-2.6/current/esfq-kernel.patch
Patch53:	esfq-kernel.patch
Patch531:	esfq-kernel-2.6.22-rc5.diff

# update htb to 2.6.23 version (fixes handling larger packets than 1600)
Patch532:	linux-htb.patch

# http://memebeam.org/free-software/toshiba_acpi/toshiba_acpi-dev_toshiba_test5-linux_2.6.21.patch
Patch54:	linux-2.6-toshiba_acpi.patch
# by Baggins request:
# derived from ftp://ftp.cmf.nrl.navy.mil/pub/chas/linux-atm/vbr/vbr-kernel-diffs
Patch55:	linux-2.6-atm-vbr.patch
Patch56:	linux-2.6-atmdd.patch

# http://www.bullopensource.org/cpuset/ - virtual CPUs
Patch57:	linux-2.6-cpuset_virtualization.patch

# http://www.ntop.org/PF_RING.html 20070610
Patch58:	linux-PF_RING.patch

# http://synce.svn.sourceforge.net/svnroot/synce/trunk/patches/linux-2.6.22-rndis_host-wm5.patch
Patch59:	kernel-rndis_host-wm5.patch

# Derived from http://www.skd.de/e_en/products/adapters/pci_64/sk-98xx_v20/software/linux/driver/install-8_41.tar.bz2
Patch60:	linux-2.6-sk98lin_v10.0.4.3.patch

# http://www.tuxonice.net/downloads/all/suspend2-2.2.10-for-2.6.22.patch.bz2
Patch69:	linux-2.6-suspend2.patch
Patch70:	kernel-suspend2-headers.patch
Patch71:	linux-2.6-suspend2-page.patch
Patch72:	kernel-2.6-ueagle-atm-freezer.patch

# adds some ids for hostap suported cards and monitor_enable from/for aircrack-ng
# http://patches.aircrack-ng.org/hostap-kernel-2.6.18.patch
Patch85:	hostap-kernel-2.6.18.patch

# http://client.linux-nfs.org/Linux-2.6.x/2.6.22/linux-2.6.22-NFS_ALL.dif
Patch90:	linux-2.6.22-NFS_ALL.dif
# http://www.citi.umich.edu/projects/nfsv4/linux/kernel-patches/2.6.22-rc5-1/linux-2.6.22-rc5-CITI_NFS4_ALL-1.diff
Patch91:	linux-2.6.22-rc5-CITI_NFS4_ALL-1.diff

# based on http://vserver.13thfloor.at/Experimental/patch-2.6.22.9-vs2.3.0.26.diff
# currently based on http://people.linux-vserver.org/~dhozac/p/k/patch-2.6.22.16-vs2.3.0.29.2.diff
Patch100:	linux-2.6-vs2.3.patch
Patch101:	linux-2.6-vs2.1-suspend2.patch
# based on http://vserver.13thfloor.at/Experimental/patch-2.6.22.2-vs2.2.0.3.diff
Patch102:	linux-2.6-vs2.2.patch
# note about vserver 2.2 vs 2.3: 2.2 is "stable", 2.3 is "development", currently (2007-09-03)
# the preferred 2.3 vserver needs CONFIG_IPV6=y config, which break things for some users;
# it was proposed to use 2.2 as a temp replacement. One could use vs 2.2 instead of 2.3
# by using vs22 bcond - this bcond also changes IPV6 option from "y" to "m".

# from http://www.cl.cam.ac.uk/Research/SRG/netos/xen/downloads/xen-3.0.2-src.tgz
Patch120:	xen-%{xen_version}@%{_basever}.patch

# Wake-On-Lan fix for nForce drivers; using http://atlas.et.tudelft.nl/verwei90/nforce2/wol.html
# Fix verified for that kernel version.
Patch130:	linux-2.6-forcedeth-WON.patch

# add tty ioctl to figure physical device of the console. used by showconsole.spec (blogd)
Patch131:	kernel-TIOCGDEV.patch

# http://download.filesystems.org/unionfs/unionfs-2.1/unionfs-2.1.4_for_2.6.22.6.diff.gz
Patch140:	linux-2.6-unionfs-2.1.1.patch
Patch141:	kernel-unionfs-vserver.patch


# Rationale for ocfs2 patches: http://oss.oracle.com/pipermail/ocfs2-users/2007-November/002175.html
# http://www.kernel.org/pub/linux/kernel/people/mfasheh/ocfs2/backports/
Patch150:	ocfs2_2.6.22.14_fixes-20071127-1.patch

# aic94xx patch based on http://georgi.unixsol.org/programs/aic94xx_with_included_firmware_2.6.21.diff
Patch160:	linux-2.6-aic94xx_with_included_firmware.patch


Patch200:	linux-2.6-ppc-ICE-hacks.patch

Patch220:	kernel-block.patch

# The following patch extend the routing functionality in Linux
# to support static routes (defined by user), new way to use the
# alternative routes, the reverse path protection (rp_filter),
# the NAT processing to use correctly the routing when multiple
# gateways are used.
# http://www.ssi.bg/~ja/routes-2.6.22-15.diff
# We need to disable CONFIG_IP_ROUTE_MULTIPATH_CACHED
Patch300:	kernel-routes-2.6.22-15.diff

# Linux solution for prefetching necessary data
# during application and system startup
# http://code.google.com/p/prefetch/
# http://prefetch.googlecode.com/svn/trunk/kernel-patches/2.6.22/submitted-2/prefetch-core+boot+app-clean.diff
Patch400:	linux-2.6-prefetch.patch

# For compatibility with (not updated) blobs like ... ?
# Before 2.6.20 we had CONFIG_REGPARM option disabled.
# Probably not needed anymore - it is bconded and disabled now
Patch500:	linux-2.6.20_i386_regparm_off.patch

# Lustre
# Patches stolen from http://packages.debian.org/sid/linux-patch-lustre in version 1.6.3
Patch600:	kernel-lustre_version.patch
Patch601:	kernel-vfs_races-2.6.20-vanilla.patch
Patch602:	kernel-i_filter_data.patch
Patch603:	kernel-jbd-jcberr-2.6.18-vanilla.patch
Patch604:	kernel-iopen-misc-2.6.20-vanilla.patch
Patch605:	kernel-export-truncate-2.6.18-vanilla.patch
Patch606:	kernel-export_symbols-2.6.20-vanilla.patch
Patch607:	kernel-dev_read_only-2.6.20-vanilla.patch
Patch608:	kernel-export-2.6.18-vanilla.patch
Patch609:	kernel-8kstack-2.6.12.patch
Patch610:	kernel-export-show_task-2.6.18-vanilla.patch
Patch611:	kernel-sd_iostats-2.6.22.patch
Patch612:	kernel-LDISKFS_SUPER_MAGIC-2.6.20.patch

Patch1000:	linux-2.6-grsec-minimal.patch

Patch2000:	kernel-small_fixes.patch
Patch2001:	linux-2.6.21.1-pwc-uncompress.patch

# kill some thousands of warnings
Patch2500:	linux-2.6-warnings.patch


Patch5000:	apparmor-2.6.20.3-v405-fullseries.diff
Patch5001:	linux-2.6-apparmor-caps.patch

# not ready yet
Patch9997:	pax_selinux_hooks-2.6.20.patch

# based on http://www.grsecurity.net/~paxguy1/pax-linux-2.6.22.6-test26.patch
Patch9998:	kernel-pax.patch

# based on http://www.grsecurity.net/~spender/grsecurity-2.1.11-2.6.22.6-200709071800.patch
Patch9999:	linux-2.6-grsec_full.patch
Patch10000:	linux-2.6-grsec-caps.patch
Patch10001:	linux-2.6-grsec-common.patch
Patch10002:	kernel-grsec_fixes.patch

URL:		http://www.kernel.org/
%if %{with xen0} || %{with xenU}
BuildRequires:	binutils >= 3:2.17
%else
BuildRequires:	binutils >= 3:2.14.90.0.7
%endif
%ifarch sparc sparc64
BuildRequires:	elftoaout
%endif
BuildRequires:	/sbin/depmod
BuildRequires:	gcc >= 5:3.2
# for hostname command
BuildRequires:	net-tools
BuildRequires:	perl-base
BuildRequires:	rpmbuild(macros) >= 1.217
Autoreqprov:	no
Requires(post):	coreutils
Requires(post):	geninitrd >= 2.57
Requires(post):	module-init-tools >= 0.9.9
Requires:	coreutils
Requires:	geninitrd >= 2.57
Requires:	module-init-tools >= 0.9.9
Provides:	%{name}(netfilter) = %{netfilter_snap}
%if %{with xen0}
Provides:	kernel(xen0) = %{xen_version}
%endif
Obsoletes:	kernel-smp
Obsoletes:	kernel-misc-fuse
Obsoletes:	kernel-modules
Obsoletes:	kernel-net-hostap
Obsoletes:	kernel-net-ieee80211
Obsoletes:	kernel-net-ipp2p
Conflicts:	vserver-packages
Conflicts:	e2fsprogs < 1.29
Conflicts:	isdn4k-utils < 3.1pre1
Conflicts:	jfsutils < 1.1.3
Conflicts:	module-init-tools < 0.9.10
Conflicts:	nfs-utils < 1.0.5
Conflicts:	oprofile < 0.9
Conflicts:	ppp < 1:2.4.0
Conflicts:	procps < 3.2.0
Conflicts:	quota-tools < 3.09
%if %{with reiserfs4}
Conflicts:	reiser4progs < 1.0.0
%endif
Conflicts:	reiserfsprogs < 3.6.3
Conflicts:	udev < 071
Conflicts:	util-linux < 2.10o
Conflicts:	xfsprogs < 2.6.0
%if %{with xen0} || %{with xenU}
ExclusiveArch:	%{ix86} %{x8664}
%else
ExclusiveArch:	%{ix86} alpha %{x8664} ia64 ppc ppc64 sparc sparc64 arm
%endif
ExclusiveOS:	Linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# No ELF objects there to strip (skips processing 27k files)
%define		_noautostrip	.*%{_kernelsrcdir}/.*
%define		_noautochrpath	.*%{_kernelsrcdir}/.*

%ifarch ia64
%define		initrd_dir	/boot/efi
%else
%define		initrd_dir	/boot
%endif

# kernel release (used in filesystem and eventually in uname -r)
# modules will be looked from /lib/modules/%{kernel_release}
# _localversion is just that without version for "> localversion"
%define		_localversion %{release}
%define		kernel_release %{version}%{subname}-%{_localversion}
%define		_kernelsrcdir	/usr/src/linux%{subname}-%{version}

%if "%{_target_base_arch}" != "%{_arch}"
	%define	CrossOpts ARCH=%{_target_base_arch} CROSS_COMPILE=%{_target_cpu}-pld-linux-
	%define	DepMod /bin/true

	%if "%{_arch}" == "sparc" && "%{_target_base_arch}" == "sparc64"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "sparc64" && "%{_target_base_arch}" == "sparc"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

	%if "%{_arch}" == "x86_64" && "%{_target_base_arch}" == "i386"
	%define	CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%define	DepMod /sbin/depmod
	%endif

%else
	%ifarch ppc ppc64
	%define CrossOpts ARCH=powerpc CC="%{__cc}"
	%else
	%define CrossOpts ARCH=%{_target_base_arch} CC="%{__cc}"
	%endif
	%define	DepMod /sbin/depmod
%endif

%description
This package contains the Linux kernel that is used to boot and run
your system. It contains few device drivers for specific hardware.
Most hardware is instead supported by modules loaded after booting.

Netfilter module dated: %{netfilter_snap}
%{?with_abi:Linux ABI support - enabled}
%{?with_grsec_full:Grsecurity full support - enabled}
%{?with_pax:PaX support - enabled}
%{?with_xen0:Xen 0 - enabled}
%{?with_xenU:Xen U - enabled}
%{?with_fbsplash:Fbsplash - enabled }
%{?with_vesafb_tng:VesaFB New generation - enabled}
%{?with_nfsroot:Root on NFS - enabled}

%description -l de.UTF-8
Das Kernel-Paket enthält den Linux-Kernel (vmlinuz), den Kern des
Linux-Betriebssystems. Der Kernel ist für grundliegende
Systemfunktionen verantwortlich: Speicherreservierung,
Prozeß-Management, Geräte Ein- und Ausgaben, usw.

Netfilter module dated: %{netfilter_snap}
%{?with_abi:Linux ABI support - enabled}
%{?with_grsec_full:Grsecurity full support - enabled}
%{?with_pax:PaX support - enabled}
%{?with_xen0:Xen 0 - enabled}
%{?with_xenU:Xen U - enabled}
%{?with_fbsplash:Fbsplash - enabled }
%{?with_vesafb_tng:VesaFB New generation - enabled}
%{?with_nfsroot:Root on NFS - enabled}

%description -l fr.UTF-8
Le package kernel contient le kernel linux (vmlinuz), la partie
centrale d'un système d'exploitation Linux. Le noyau traite les
fonctions basiques d'un système d'exploitation: allocation mémoire,
allocation de process, entrée/sortie de peripheriques, etc.

Netfilter module dated: %{netfilter_snap}
%{?with_abi:Linux ABI support - enabled}
%{?with_grsec_full:Grsecurity full support - enabled}
%{?with_pax:PaX support - enabled}
%{?with_xen0:Xen 0 - enabled}
%{?with_xenU:Xen U - enabled}
%{?with_fbsplash:Fbsplash - enabled }
%{?with_vesafb_tng:VesaFB New generation - enabled}
%{?with_nfsroot:Root on NFS - enabled}

%description -l pl.UTF-8
Pakiet zawiera jądro Linuksa niezbędne do prawidłowego działania
Twojego komputera. Zawiera w sobie sterowniki do sprzętu znajdującego
się w komputerze, takiego jak sterowniki dysków itp.

Netfilter module dated: %{netfilter_snap}
%{?with_abi:Linux ABI support - enabled}
%{?with_grsec_full:Grsecurity full support - enabled}
%{?with_pax:PaX support - enabled}
%{?with_xen0:Xen 0 - enabled}
%{?with_xenU:Xen U - enabled}
%{?with_fbsplash:Fbsplash - enabled }
%{?with_vesafb_tng:VesaFB New generation - enabled}
%{?with_nfsroot:Root on NFS - enabled}

%package vmlinux
Summary:	vmlinux - uncompressed kernel image
Summary(pl.UTF-8):	vmlinux - rozpakowany obraz jądra
Group:		Base/Kernel
Obsoletes:	kernel-smp-vmlinux

%description vmlinux
vmlinux - uncompressed kernel image.

%description vmlinux -l pl.UTF-8
vmlinux - rozpakowany obraz jądra.

%package drm
Summary:	DRM kernel modules
Summary(pl.UTF-8):	Sterowniki DRM
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-drm
Autoreqprov:	no

%description drm
DRM kernel modules.

%description drm -l pl.UTF-8
Sterowniki DRM.

%package pcmcia
Summary:	PCMCIA modules
Summary(pl.UTF-8):	Moduły PCMCIA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-pcmcia
Conflicts:	pcmcia-cs < %{_pcmcia_cs_ver}
Conflicts:	pcmciautils < %{_pcmciautils_ver}
Autoreqprov:	no

%description pcmcia
PCMCIA modules.

%description pcmcia -l pl.UTF-8
Moduły PCMCIA.

%package libs
Summary:	Libraries for preparing bootable kernel on PowerPCs
Summary(pl.UTF-8):	Biblioteki do przygotowania bootowalnego jądra dla PowerPC
Group:		Base/Kernel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	mkvmlinuz >= 1.3
Obsoletes:	kernel-smp-libs
Autoreqprov:	no

%description libs
Libraries for preparing bootable kernel on PowerPCs. Script called
mkvmlinuz may be useful for this.

%description libs -l pl.UTF-8
Biblioteki do przygotowania bootowalnego jądra dla PowerPC. Skrypt
mkvmlinuz może być do tego przydatny.

%package sound-alsa
Summary:	ALSA kernel modules
Summary(pl.UTF-8):	Sterowniki dźwięku ALSA
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-alsa
Autoreqprov:	no

%description sound-alsa
ALSA (Advanced Linux Sound Architecture) sound drivers.

%description sound-alsa -l pl.UTF-8
Sterowniki dźwięku ALSA (Advanced Linux Sound Architecture).

%package sound-oss
Summary:	OSS kernel modules
Summary(pl.UTF-8):	Sterowniki dźwięku OSS
Group:		Base/Kernel
Requires(postun):	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	kernel-smp-sound-oss
Autoreqprov:	no

%description sound-oss
OSS (Open Sound System) drivers.

%description sound-oss -l pl.UTF-8
Sterowniki dźwięku OSS (Open Sound System).

%package headers
Summary:	Header files for the Linux kernel
Summary(pl.UTF-8):	Pliki nagłówkowe jądra Linuksa
Group:		Development/Building
Provides:	%{name}-headers(netfilter) = %{netfilter_snap}
Autoreqprov:	no

%description headers
These are the C header files for the Linux kernel, which define
structures and constants that are needed when rebuilding the kernel or
building kernel modules.

%description headers -l pl.UTF-8
Pakiet zawiera pliki nagłówkowe jądra, niezbędne do rekompilacji jądra
oraz budowania modułów jądra.

%package module-build
Summary:	Development files for building kernel modules
Summary(pl.UTF-8):	Pliki służące do budowania modułów jądra
Group:		Development/Building
Requires:	%{name}-headers = %{epoch}:%{version}-%{release}
Conflicts:	rpmbuild(macros) < 1.321
Autoreqprov:	no

%description module-build
Development files from kernel source tree needed to build Linux kernel
modules from external packages.

%description module-build -l pl.UTF-8
Pliki ze drzewa źródeł jądra potrzebne do budowania modułów jądra
Linuksa z zewnętrznych pakietów.

%package source
Summary:	Kernel source tree
Summary(pl.UTF-8):	Kod źródłowy jądra Linuksa
Group:		Development/Building
Requires:	%{name}-module-build = %{epoch}:%{version}-%{release}
Autoreqprov:	no

%description source
This is the source code for the Linux kernel. You can build a custom
kernel that is better tuned to your particular hardware.

%description source -l de.UTF-8
Das Kernel-Source-Paket enthält den source code (C/Assembler-Code) des
Linux-Kernels. Die Source-Dateien werden gebraucht, um viele
C-Programme zu compilieren, da sie auf Konstanten zurückgreifen, die
im Kernel-Source definiert sind. Die Source-Dateien können auch
benutzt werden, um einen Kernel zu compilieren, der besser auf Ihre
Hardware ausgerichtet ist.

%description source -l fr.UTF-8
Le package pour le kernel-source contient le code source pour le noyau
linux. Ces sources sont nécessaires pour compiler la plupart des
programmes C, car il dépend de constantes définies dans le code
source. Les sources peuvent être aussi utilisée pour compiler un noyau
personnalisé pour avoir de meilleures performances sur des matériels
particuliers.

%description source -l pl.UTF-8
Pakiet zawiera kod źródłowy jądra systemu.

%package doc
Summary:	Kernel documentation
Summary(pl.UTF-8):	Dokumentacja do jądra Linuksa
Group:		Documentation
Autoreqprov:	no

%description doc
This is the documentation for the Linux kernel, as found in
/usr/src/linux/Documentation directory.

%description doc -l pl.UTF-8
Pakiet zawiera dokumentację do jądra Linuksa pochodzącą z katalogu
/usr/src/linux/Documentation.

%prep
%setup -q -n linux-%{_basever}%{_rc} %{?with_abi:-a14}

# hack against warning in pax/grsec
%ifarch alpha
sed -i 's/-Werror//' arch/alpha/kernel/Makefile
%endif

%ifarch ppc
install %{SOURCE5} Makefile.ppclibs
%endif

# sources 1 and 90 should be mutually exclusive btw.

%if "%{_prepatch}" != "%{nil}"
%{__bzip2} -dc %{SOURCE90} | patch -p1 -s
%endif

%if "%{_postver}" != "%{nil}"
%{__bzip2} -dc %{SOURCE1} | patch -p1 -s
%endif

# suspend2:
%if %{with suspend2}
##ifarch %{ix86} %{x8664} ia64 ppc alpha
%patch69 -p1
%patch70 -p1
%patch71 -p1
# kernel-2.6-ueagle-atm-freezer.patch
%patch72 -p1
##endif
%endif

%patch1 -p1
%patch2 -p1

%patch8 -p1

%if !%{with fbsplash}
%patch3 -p1
%else
%patch4 -p1
%endif

%ifarch %{ix86}
%{?with_vesafb_tng:%patch5 -p1}
%endif

# squashfs
%patch6 -p1

%patch7 -p1
%patch9 -p1

## netfilter
#

# kernel-pom-ng-IPV4OPTSSTRIP.patch
%patch10 -p1

# kernel-pom-ng-ipv4options.patch
%patch11 -p1

# kernel-pom-ng-set.patch
%patch12 -p1

# kernel-pom-ng-u32.patch
%patch13 -p1

# kernel-pom-ng-ROUTE.patch
%patch14 -p1

# kernel-pom-ng-TARPIT.patch
%patch15 -p1

# kernel-pom-ng-mms-conntrack-nat.patch
%patch16 -p1

# kernel-pom-ng-IPMARK.patch
%patch17 -p1

# kernel-pom-ng-set.patch
#patch12 -p1

# kernel-pom-ng-connlimit.patch
%patch18 -p1

# kernel-pom-ng-geoip.patch
%patch19 -p1

# kernel-pom-ng-ipp2p.patch
%patch20 -p1

# kernel-pom-ng-time.patch
%patch21 -p1

# kernel-pom-ng-rsh.patch
%patch22 -p1

# kernel-pom-ng-rpc.patch
%patch23 -p1

# kernel-owner-xid.patch
%patch37 -p1

# kernel-ipt_account.patch
%patch38 -p1

# kernel-ipt_ACCOUNT.patch
%patch39 -p1

# kernel-layer7.patch
%patch40 -p1

# ipvs-nfct
%patch41 -p1

##
# end of netfilter

%if %{with imq}
%patch50 -p1
%endif

# reiser4
%if %{with reiser4}
%patch51 -p1
%endif

# esfq
%patch53 -p1
%patch531 -p1

# htb
%patch532 -p1

%if %{with wrr}
%patch52 -p1
%endif

# toshiba_acpi
%patch54 -p1

%patch55 -p1
%patch56 -p1

%ifarch %{ix86} %{x8664} ia64
# commented out due to https://bugs.pld-linux.org/show_bug.cgi?id=94
# %patch57 -p1
%endif

# linux-PF_RING.patch
%patch58 -p1

# kernel-rndis_host-wm5.patch
%patch59 -p1

# linux-2.6-sk98lin_v10.0.4.3.patch
%patch60 -p1


# hostap enhancements from/for aircrack-ng
%patch85 -p1

# NFS fixes and NFS4 improvements
%patch90 -p1
%patch91 -p1

# vserver
%if %{with vserver}
%if %{with vs22}
%patch102 -p1
%else
%patch100 -p1
%endif
%if %{with suspend2}
#ifarch %{ix86} %{x8664} ia64
%patch101 -p1
#endif
%endif
%endif

%if %{with xen0} || %{with xenU}
%ifarch %{ix86} %{x8664} ia64
%patch120 -p1
%endif
%endif

# forcedeth:
%patch130 -p1

%patch131 -p1

# unionfs
%patch140 -p1
%{?with_vserver:%patch141 -p1}


# ocfs2_2.6.22.14_fixes-20071127-1.patch
%patch150 -p1

# aic94xx linux-2.6-aic94xx_with_included_firmware.patch
%patch160 -p1

# prefetch, DISABLED BECAUSE IT OOPSES ON XFS! (at least)
#%patch400 -p1

# desables regparms
%if %{without regparm}
%patch500 -p1
%endif


%if %{with lustre}
%patch600 -p1
%patch601 -p1
%patch602 -p1
%patch603 -p1
%patch604 -p1
%patch605 -p1
%patch606 -p1
%patch607 -p1
%patch608 -p1
%patch609 -p1
%patch610 -p1
%patch611 -p1
%patch612 -p1
%endif

%patch2500 -p1

# Apparmor
%patch5000 -p1
%patch5001 -p1

# grsecurity & pax stuff - temporary - work in progress
#

%if %{with pax_full}
%patch9999 -p1
%{?with_vserver:%patch10000 -p1}
%{?with_vserver:%patch10001 -p1}
%{?with_vserver:%patch10002 -p1}
%else

%if %{with grsec_full}
%patch9999 -p1
%{?with_vserver:%patch10000 -p1}
%{?with_vserver:%patch10001 -p1}
%{?with_vserver:%patch10002 -p1}
%else
%if %{with grsec_minimal}
%patch1000 -p1
# remember that we have the same config file for grsec_minimal and
# grsec_full, but the patches are different.
%endif
%endif

%if %{with pax}
# now we have an separate testing pax-only patch - in the future we
# could have single grsecurity patch and will have to prepare separate
# configs for grsec_minimal, grsec_full and pax to support such
# configurations like pax & grsec_minimal.
# So, in a future there could be no patch9998, but only config
# would tell which options should be enabled.
# The second option is to maintain separate pax-only patch.
%patch9998 -p1
#patch9997 -p1 - needs update
%endif

%endif

#
# end of grsecurity & pax stuff

%ifarch ppc ppc64
%patch200 -p1
%endif

%patch220 -p1

# routes
%patch300 -p1

# Small fixes:
%patch2000 -p1
%patch2001 -p1

%if %{with abi}
patch -p1 -s < kernel-patch-linuxabi-20060404/linuxabi-2.6.17-0.patch
%endif

# Fix EXTRAVERSION in main Makefile
sed -i 's#EXTRAVERSION =.*#EXTRAVERSION = %{_postver}%{subname}#g' Makefile

# on sparc this line causes CONFIG_INPUT=m (instead of =y), thus breaking build
sed -i -e '/select INPUT/d' net/bluetooth/hidp/Kconfig

# on sparc64 avoid building break due to NULL pointer type warrning
sed -i -e 's/^EXTRA_CFLAGS := -Werror/EXTRA_CFLAGS := /' arch/sparc64/kernel/Makefile

# cleanup backups after patching
find '(' -name '*~' -o -name '*.orig' -o -name '.gitignore' ')' -print0 | xargs -0 -r -l512 rm -f

%build
TuneUpConfigForIX86 () {
	set -x
%ifarch %{ix86}
	pae=
	[ "$2" = "yes" ] && pae=yes
	%if %{with pae}
	pae=yes
	%endif
	%ifnarch i386
	sed -i 's:CONFIG_M386=y:# CONFIG_M386 is not set:' $1
	%endif
	%ifarch i486
	sed -i 's:# CONFIG_M486 is not set:CONFIG_M486=y:' $1
	%endif
	%ifarch i586
	sed -i 's:# CONFIG_M586 is not set:CONFIG_M586=y:' $1
	%endif
	%ifarch i686
	sed -i 's:# CONFIG_M686 is not set:CONFIG_M686=y:' $1
	%endif
	%ifarch pentium3
	sed -i 's:# CONFIG_MPENTIUMIII is not set:CONFIG_MPENTIUMIII=y:' $1
	%endif
	%ifarch pentium4
	sed -i 's:# CONFIG_MPENTIUM4 is not set:CONFIG_MPENTIUM4=y:' $1
	%endif
	%ifarch athlon
	sed -i 's:# CONFIG_MK7 is not set:CONFIG_MK7=y:' $1
	%endif
	%ifarch i686 athlon pentium3 pentium4
	if [ "$pae" = "yes" ]; then
		sed -i "s:CONFIG_HIGHMEM4G=y:# CONFIG_HIGHMEM4G is not set:" $1
		sed -i "s:# CONFIG_HIGHMEM64G is not set:CONFIG_HIGHMEM64G=y\nCONFIG_X86_PAE=y:" $1
	fi
	sed -i 's:CONFIG_MATH_EMULATION=y:# CONFIG_MATH_EMULATION is not set:' $1
	%endif
	return 0
%endif
}

PaXconfig () {
	set -x
	%ifarch %{ix86}
		sed -i 's:# CONFIG_PAX_SEGMEXEC is not set:CONFIG_PAX_SEGMEXEC=y:' $1
		sed -i 's:# CONFIG_PAX_DEFAULT_SEGMEXEC is not set:CONFIG_PAX_DEFAULT_SEGMEXEC=y:' $1
		%ifnarch i386 i486
			sed -i 's:# CONFIG_PAX_NOVSYSCALL is not set:CONFIG_PAX_NOVSYSCALL=y:' $1
		%endif

		# Testing KERNEXEC

		# sed -i 's:CONFIG_HOTPLUG_PCI_COMPAQ_NVRAM=y:# CONFIG_HOTPLUG_PCI_COMPAQ_NVRAM is not set:' $1
		# sed -i 's:CONFIG_PCI_BIOS=y:# CONFIG_PCI_BIOS is not set:' $1
		# sed -i 's:CONFIG_EFI=y:# CONFIG_EFI is not set:' $1

	%endif
	%ifarch ppc64
		sed -i 's:CONFIG_PAX_NOELFRELOCS=y:# CONFIG_PAX_NOELFRELOCS is not set:' $1
	%endif
	%ifarch ppc
		sed -i 's:# CONFIG_PAX_EMUTRAMP is not set:CONFIG_PAX_EMUTRAMP=y:' $1
		sed -i 's:# CONFIG_PAX_EMUSIGRT is not set:CONFIG_PAX_EMUSIGRT=y:' $1
		sed -i 's:# CONFIG_PAX_EMUPLT is not set:CONFIG_PAX_EMUPLT=y:' $1
	%endif

	%ifarch sparc sparc64 alpha
		sed -i 's:# CONFIG_PAX_EMUPLT is not set:CONFIG_PAX_EMUPLT=y:' $1
	%endif

	%ifarch %{ix8664}
		sed -i 's:# CONFIG_PAX_MEMORY_UDEREF is not set:CONFIG_PAX_MEMORY_UDEREF=y:' $1
	%endif

	# Now we have to check MAC system integration. Grsecurity (full) uses PAX_HAVE_ACL_FLAGS
	# setting (direct acces). grsec_minimal probably have no idea about PaX so we probably
	# could use PAX_NO_ACL_FLAGS, but for testing the hooks setting will be used
	# PAX_HOOK_ACL_FLAGS. SELinux should also be able to make PaX settings via hooks

	%if %{with grsec_full}
		# no change needed CONFIG=PAX_HAVE_ACL_FLAGS=y is taken from the kernel-pax.config
	%else
		# grsec_minimal or selinux ?
		sed -i 's:CONFIG_PAX_HAVE_ACL_FLAGS=y:# CONFIG_PAX_HAVE_ACL_FLAGS is not set:' $1
		sed -i 's:# CONFIG_PAX_HOOK_ACL_FLAGS is not set:CONFIG_PAX_HOOK_ACL_FLAGS=y:' $1
	%endif

	return 0
}

BuildConfig() {
	%{?debug:set -x}
	# is this a special kernel we want to build?
	Config="%{_target_base_arch}"
	KernelVer=%{kernel_release}
	echo "Building config file using $Config.conf..."
	cat $RPM_SOURCE_DIR/kernel-$Config.config > arch/%{_target_base_arch}/defconfig
	TuneUpConfigForIX86 arch/%{_target_base_arch}/defconfig

## Temporary disabled - we should have the proper config files in defconfig loaded
##
## %ifarch ppc
##	install %{SOURCE25} arch/%{_target_base_arch}/defconfig
## %endif
##
## %ifarch ppc64
##	install %{SOURCE27} arch/%{_target_base_arch}/defconfig
##	# sed -i "s:# CONFIG_PPC64 is not set:CONFIG_PPC64=y:" arch/%{_target_base_arch}/defconfig
## %endif

# prefetch
	cat %{SOURCE35} >> arch/%{_target_base_arch}/defconfig

# netfilter
	cat %{SOURCE40} >> arch/%{_target_base_arch}/defconfig

# squashfs
	cat %{SOURCE41} >> arch/%{_target_base_arch}/defconfig

# suspend2
%if %{with suspend2}
	cat %{SOURCE42} >> arch/%{_target_base_arch}/defconfig
%endif

%ifarch ppc ppc64
	sed -i "s:CONFIG_SUSPEND2=y:# CONFIG_SUSPEND2 is not set:" arch/%{_target_base_arch}/defconfig
%endif
%if %{with vserver}
	cat %{SOURCE43} >> arch/%{_target_base_arch}/defconfig
%if %{with vs22}
	sed -i "s:CONFIG_IPV6=y:CONFIG_IPV6=m:" arch/%{_target_base_arch}/defconfig
%else
	# 13:53 < daniel_hozac> arekm: it requires a feature that conflicts with Linux-VServer.
	# 13:54 < arekm> daniel_hozac: conflicts on which level? compile, usage? previous patch didn't have this problem visible
	# 13:55 < Bertl> arekm: 2.6.24 will have that fixed, utilizing user namespaces, for 2.6.22, we cannot allow to enable key
	#		 retention support because of missing virtualization
	# 13:55 < daniel_hozac> arekm: usage, security wise.
	# 13:55 < daniel_hozac> arekm: also limits the number of guests you can run to 50.
	sed -i 's:CONFIG_AFS_FS=m:# CONFIG_AFS_FS is not set:' arch/%{_target_base_arch}/defconfig
	sed -i 's:CONFIG_AF_RXRPC=m:# CONFIG_AF_RXRPC is not set:' arch/%{_target_base_arch}/defconfig
%endif
%endif

%if %{without ipv6}
	sed -i "s:CONFIG_IPV6=.:# CONFIG_IPV6 is not set:" arch/%{_target_base_arch}/defconfig
%endif

# vesafb-tng
	cat %{SOURCE44} >> arch/%{_target_base_arch}/defconfig

# grsecurity & pax stuff
#

%if %{with pax_full}
	cat %{SOURCE45} >> arch/%{_target_base_arch}/defconfig
	cat %{SOURCE49} >> arch/%{_target_base_arch}/defconfig
	PaXconfig arch/%{_target_base_arch}/defconfig
%else

%if %{with grsec_full}
	cat %{SOURCE45} >> arch/%{_target_base_arch}/defconfig
%else
%if %{with grsec_minimal}
	cat %{SOURCE51} >> arch/%{_target_base_arch}/defconfig
%endif
%endif

%if %{with pax}
	cat %{SOURCE49} >> arch/%{_target_base_arch}/defconfig
	PaXconfig arch/%{_target_base_arch}/defconfig
%else
	cat %{SOURCE50} >> arch/%{_target_base_arch}/defconfig
%endif

%endif

# Temporary disabled RELOCATABLE. Needed only on x86??
%if %{with pax} || %{with grsec_full}
	sed -i "s:CONFIG_RELOCATABLE=y:# CONFIG_RELOCATABLE is not set:" arch/%{_target_base_arch}/defconfig
%endif

#
# end of grsecurity & pax stuff

%if %{with imq}
	cat %{SOURCE55} >> arch/%{_target_base_arch}/defconfig
%endif

%if %{with wrr}
	cat %{SOURCE57} >> arch/%{_target_base_arch}/defconfig
%endif

%if %{with reiser4}
	cat %{SOURCE56} >> arch/%{_target_base_arch}/defconfig
%endif

%if %{with xen0}
	cat %{SOURCE46} >> arch/%{_target_base_arch}/defconfig
	sed -i "s:CONFIG_X86_PC=y:# CONFIG_X86_PC is not set:" arch/%{_target_base_arch}/defconfig
%if %{_target_base_arch} == "x86_64"
	sed -i "s:CONFIG_X86_XEN=y:CONFIG_X86_64_XEN=y:" arch/%{_target_base_arch}/defconfig
%endif
%endif

%if %{with xenU}
	cat %{SOURCE47} >> arch/%{_target_base_arch}/defconfig
	sed -i "s:CONFIG_X86_PC=y:# CONFIG_X86_PC is not set:" arch/%{_target_base_arch}/defconfig
%if %{_target_base_arch} == "x86_64"
	sed -i "s:CONFIG_X86_XEN=y:CONFIG_X86_64_XEN=y:" arch/%{_target_base_arch}/defconfig
%endif
%endif

	# fbsplash
	echo "CONFIG_FB_SPLASH=y" >> arch/%{_target_base_arch}/defconfig
	# bootsplash
	echo "CONFIG_BOOTSPLASH=y" >> arch/%{_target_base_arch}/defconfig

%if %{with nfsroot}
	sed -i "s:CONFIG_NFS_FS=m:CONFIG_NFS_FS=y:" arch/%{_target_base_arch}/defconfig
	echo "CONFIG_ROOT_NFS=y" >> arch/%{_target_base_arch}/defconfig
%endif

%ifarch %{ix86}
%if %{with abi}
	cat %{SOURCE34} >> arch/%{_target_base_arch}/defconfig
%endif
%endif

%if %{with lustre}
	cat %{SOURCE58} >> arch/%{_target_base_arch}/defconfig
%endif

%{?debug:sed -i "s:# CONFIG_DEBUG_SLAB is not set:CONFIG_DEBUG_SLAB=y:" arch/%{_target_base_arch}/defconfig}
%{?debug:sed -i "s:# CONFIG_DEBUG_PREEMPT is not set:CONFIG_DEBUG_PREEMPT=y:" arch/%{_target_base_arch}/defconfig}
%{?debug:sed -i "s:# CONFIG_RT_DEADLOCK_DETECT is not set:CONFIG_RT_DEADLOCK_DETECT=y:" arch/%{_target_base_arch}/defconfig}

	ln -sf arch/%{_target_base_arch}/defconfig .config
	install -d $KERNEL_INSTALL_DIR%{_kernelsrcdir}/include/linux
	rm -f include/linux/autoconf.h
	%{__make} %CrossOpts include/linux/autoconf.h
	install include/linux/autoconf.h \
		$KERNEL_INSTALL_DIR%{_kernelsrcdir}/include/linux/autoconf-dist.h
	install .config \
		$KERNEL_INSTALL_DIR%{_kernelsrcdir}/config-dist
}

BuildKernel() {
	%{?debug:set -x}
	echo "Building kernel $1 ..."
	%{__make} %CrossOpts mrproper \
		RCS_FIND_IGNORE='-name build-done -prune -o'
	ln -sf arch/%{_target_base_arch}/defconfig .config

	%{__make} %CrossOpts clean \
		RCS_FIND_IGNORE='-name build-done -prune -o'
	%{__make} %CrossOpts include/linux/version.h \
		%{?with_verbose:V=1}

	%{__make} %CrossOpts scripts/mkcompile_h \
		%{?with_verbose:V=1}

# make does vmlinux, modules and bzImage at once
%ifarch sparc64
	%{__make} %CrossOpts image \
		%{?with_verbose:V=1}

	%{__make} %CrossOpts modules \
		%{?with_verbose:V=1}
%else
	%{__make} %CrossOpts \
%if %{with xen0} || %{with xenU}
                SHELL=/bin/bash \
%endif
		%{?with_verbose:V=1}
%endif
}

PreInstallKernel() {
	Config="%{_target_base_arch}"
	KernelVer=%{kernel_release}

	mkdir -p $KERNEL_INSTALL_DIR/boot
	install System.map $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer
%ifarch %{ix86} %{x8664}
%if %{with xen0} || %{with xenU}
        install vmlinuz $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%else
	install arch/%{_target_base_arch}/boot/bzImage $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
%endif
%ifarch alpha sparc sparc64
	gzip -cfv vmlinux > vmlinuz
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinuz $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%ifarch sparc
	elftoaout arch/sparc/boot/image -o vmlinux.aout
	install vmlinux.aout $KERNEL_INSTALL_DIR/boot/vmlinux.aout-$KernelVer
%endif
%ifarch sparc64
	elftoaout arch/sparc64/boot/image -o vmlinux.aout
	install vmlinux.aout $KERNEL_INSTALL_DIR/boot/vmlinux.aout-$KernelVer
%endif
%endif
%ifarch ppc ppc64
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinux-$KernelVer
	install vmlinux $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
%ifarch ppc-broken
	%{__make} -f Makefile.ppclibs install \
		DESTDIR=$KERNEL_INSTALL_DIR/boot/libs-$KernelVer
%endif
%ifarch ia64
	gzip -cfv vmlinux > vmlinuz
	install -d $KERNEL_INSTALL_DIR/boot/efi
	install vmlinuz $KERNEL_INSTALL_DIR/boot/efi/vmlinuz-$KernelVer
	ln -sf efi/vmlinuz-$KernelVer $KERNEL_INSTALL_DIR/boot/vmlinuz-$KernelVer
%endif
	%{__make} %CrossOpts modules_install \
		%{?with_verbose:V=1} \
		DEPMOD=%DepMod \
		INSTALL_MOD_PATH=$KERNEL_INSTALL_DIR \
		KERNELRELEASE=$KernelVer

	# You'd probabelly want to make it somewhat different
	install -d $KERNEL_INSTALL_DIR%{_kernelsrcdir}
	install Module.symvers $KERNEL_INSTALL_DIR%{_kernelsrcdir}/Module.symvers-dist

	echo "CHECKING DEPENDENCIES FOR KERNEL MODULES"
	if [ %DepMod = /sbin/depmod ]; then
		/sbin/depmod --basedir $KERNEL_INSTALL_DIR -ae -F $KERNEL_INSTALL_DIR/boot/System.map-$KernelVer -r $KernelVer || :
	fi
	touch $KERNEL_INSTALL_DIR/lib/modules/$KernelVer/modules.dep
	echo "KERNEL RELEASE $KernelVer DONE"
}

KERNEL_BUILD_DIR=`pwd`
echo "-%{_localversion}" > localversion

KERNEL_INSTALL_DIR="$KERNEL_BUILD_DIR/build-done/kernel"
rm -rf $KERNEL_INSTALL_DIR
BuildConfig
BuildKernel
PreInstallKernel

%{__make} %CrossOpts include/linux/utsrelease.h
cp include/linux/utsrelease.h{,.save}
cp include/linux/version.h{,.save}
cp scripts/mkcompile_h{,.save}

%install
rm -rf $RPM_BUILD_ROOT
umask 022

export DEPMOD=%DepMod

install -d $RPM_BUILD_ROOT%{_kernelsrcdir}
install -d $RPM_BUILD_ROOT%{_sysconfdir}/modprobe.d/%{kernel_release}

# test if we can hardlink -- %{_builddir} and $RPM_BUILD_ROOT on same partition
if cp -al COPYING $RPM_BUILD_ROOT/COPYING 2>/dev/null; then
	l=l
	rm -f $RPM_BUILD_ROOT/COPYING
fi

KERNEL_BUILD_DIR=`pwd`

cp -a$l $KERNEL_BUILD_DIR/build-done/kernel/* $RPM_BUILD_ROOT

if [ -e  $RPM_BUILD_ROOT/lib/modules/%{kernel_release} ] ; then
	rm -f $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/build
	ln -sf %{_kernelsrcdir} $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/build
	install -d $RPM_BUILD_ROOT/lib/modules/%{kernel_release}/{cluster,misc}
fi

find . -maxdepth 1 ! -name "build-done" ! -name "." -exec cp -a$l "{}" "$RPM_BUILD_ROOT%{_kernelsrcdir}/" ";"

cd $RPM_BUILD_ROOT%{_kernelsrcdir}

%{__make} %CrossOpts mrproper \
	RCS_FIND_IGNORE='-name build-done -prune -o'

if [ -e $KERNEL_BUILD_DIR/build-done/kernel%{_kernelsrcdir}/include/linux/autoconf-dist.h ]; then
	install $KERNEL_BUILD_DIR/build-done/kernel%{_kernelsrcdir}/include/linux/autoconf-dist.h \
		$RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux
	install	$KERNEL_BUILD_DIR/build-done/kernel%{_kernelsrcdir}/config-dist \
		$RPM_BUILD_ROOT%{_kernelsrcdir}
fi

cp -Rdp$l $KERNEL_BUILD_DIR/include/linux/* \
	$RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux

%{__make} %CrossOpts mrproper
mv -f include/linux/utsrelease.h.save $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/utsrelease.h
cp include/linux/version.h{.save,}
cp scripts/mkcompile_h{.save,}
rm -rf include/linux/version.h.save
rm -rf scripts/mkcompile_h.save
install %{SOURCE3} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/autoconf.h
install %{SOURCE4} $RPM_BUILD_ROOT%{_kernelsrcdir}/include/linux/config.h

# Temporary fix for iwlwifi:
cp $RPM_BUILD_ROOT%{_kernelsrcdir}/net/mac80211/{ieee80211_{rate,i,key},sta_info}.h \
	$RPM_BUILD_ROOT%{_kernelsrcdir}/include/net

# collect module-build files and directories
perl %{SOURCE7} %{_kernelsrcdir} $KERNEL_BUILD_DIR

# ghosted initrd
touch $RPM_BUILD_ROOT/boot/initrd-%{kernel_release}.gz

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ -x /sbin/new-kernel-pkg ]; then
	/sbin/new-kernel-pkg --remove %{kernel_release}
fi

%post
%ifarch ia64
mv -f /boot/efi/vmlinuz /boot/efi/vmlinuz.old 2> /dev/null > /dev/null
%endif
mv -f /boot/vmlinuz%{dashxen} /boot/vmlinuz%{dashxen}.old 2> /dev/null > /dev/null
mv -f /boot/System%{dashxen}.map /boot/System.map%{dashxen}.old 2> /dev/null > /dev/null
%ifarch ia64
ln -sf vmlinuz-%{kernel_release} /boot/efi/vmlinuz
%endif
ln -sf vmlinuz-%{kernel_release} /boot/vmlinuz%{dashxen}
ln -sf System.map-%{kernel_release} /boot/System.map%{dashxen}

%depmod %{kernel_release}

%if !%{with xenU}
/sbin/geninitrd -f --initrdfs=rom %{initrd_dir}/initrd-%{kernel_release}.gz %{kernel_release}
mv -f %{initrd_dir}/initrd%{dashxen} %{initrd_dir}/initrd%{dashxen}.old 2> /dev/null > /dev/null
ln -sf initrd-%{kernel_release}.gz %{initrd_dir}/initrd%{dashxen}

if [ -x /sbin/new-kernel-pkg ]; then
	if [ -f /etc/pld-release ]; then
		title=$(sed 's/^[0-9.]\+ //' < /etc/pld-release)
	else
		title='PLD Linux'
	fi

	ext='%{?with_pax:pax}%{?with_grsec_full:grsecurity}%{?with_xen0:Xen0}%{?with_xenU:XenU}'
	if [ "$ext" ]; then
		title="$title $ext"
	fi

	/sbin/new-kernel-pkg --initrdfile=%{initrd_dir}/initrd-%{kernel_release}.gz --install %{kernel_release} --banner "$title"
elif [ -x /sbin/rc-boot ]; then
	/sbin/rc-boot 1>&2 || :
fi
%endif

%post vmlinux
mv -f /boot/vmlinux%{dashxen} /boot/vmlinux%{dashxen}.old 2> /dev/null > /dev/null
ln -sf vmlinux-%{kernel_release} /boot/vmlinux%{dashxen}

%post libs
%{_sbindir}/mkvmlinuz /boot/zImage-%{kernel_release} %{kernel_release}

%post drm
%depmod %{kernel_release}

%postun drm
%depmod %{kernel_release}

%post pcmcia
%depmod %{kernel_release}

%postun pcmcia
%depmod %{kernel_release}

%post sound-alsa
%depmod %{kernel_release}

%postun sound-alsa
%depmod %{kernel_release}

%post sound-oss
%depmod %{kernel_release}

%postun sound-oss
%depmod %{kernel_release}

%post headers
ln -snf %{basename:%{_kernelsrcdir}} %{_prefix}/src/linux%{subname}

%postun headers
if [ "$1" = "0" ]; then
	if [ -L %{_prefix}/src/linux%{subname} ]; then
		if [ "$(readlink %{_prefix}/src/linux%{subname})" = "linux%{subname}-%{version}" ]; then
			rm -f %{_prefix}/src/linux%{subname}
		fi
	fi
fi

%files
%defattr(644,root,root,755)
%ifarch sparc sparc64
/boot/vmlinux.aout-%{kernel_release}
%endif
%ifarch ia64
/boot/efi/vmlinuz-%{kernel_release}
%endif
/boot/vmlinuz-%{kernel_release}
/boot/System.map-%{kernel_release}
%ghost /boot/initrd-%{kernel_release}.gz
%dir /lib/modules/%{kernel_release}
%dir /lib/modules/%{kernel_release}/kernel
%ifnarch sparc
/lib/modules/%{kernel_release}/kernel/arch
%endif
/lib/modules/%{kernel_release}/kernel/crypto
/lib/modules/%{kernel_release}/kernel/drivers
%if %{have_drm}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/char/drm
%endif
/lib/modules/%{kernel_release}/kernel/fs

# this directory will be removed after disabling rcutorture mod. in 2.6.20.
/lib/modules/%{kernel_release}/kernel/kernel

/lib/modules/%{kernel_release}/kernel/lib
# uncomment .../mm if you want enable  prefetch 
#/lib/modules/%{kernel_release}/kernel/mm
/lib/modules/%{kernel_release}/kernel/net
/lib/modules/%{kernel_release}/kernel/security
%if %{have_sound}
%dir /lib/modules/%{kernel_release}/kernel/sound
/lib/modules/%{kernel_release}/kernel/sound/soundcore.*
%endif
%dir /lib/modules/%{kernel_release}/misc
%if %{with pcmcia}
%exclude /lib/modules/%{kernel_release}/kernel/drivers/pcmcia
%exclude /lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
%exclude /lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/ide/legacy/ide-cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/serial/serial_cs.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
%exclude /lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif
%ghost /lib/modules/%{kernel_release}/modules.*
%dir %{_sysconfdir}/modprobe.d/%{kernel_release}

%ifarch alpha %{ix86} %{x8664} ppc ppc64 sparc sparc64
%files vmlinux
%defattr(644,root,root,755)
/boot/vmlinux-%{kernel_release}
%endif

%if %{have_drm}
%files drm
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/char/drm
%endif

%if %{with pcmcia}
%files pcmcia
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/drivers/pcmcia
/lib/modules/%{kernel_release}/kernel/drivers/*/pcmcia
/lib/modules/%{kernel_release}/kernel/drivers/bluetooth/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/ide/legacy/ide-cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/isdn/hardware/avm/avm_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/*_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/net/wireless/hostap/hostap_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/parport/parport_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/serial/serial_cs.ko*
/lib/modules/%{kernel_release}/kernel/drivers/telephony/ixj_pcmcia.ko*
/lib/modules/%{kernel_release}/kernel/drivers/usb/host/sl811_cs.ko*
%endif

%ifarch ppc-broken
%if "%{_arch}" == "ppc"
%files libs
%defattr(644,root,root,755)
%dir /boot/libs-%{kernel_release}
/boot/libs-%{kernel_release}/common
/boot/libs-%{kernel_release}/kernel
/boot/libs-%{kernel_release}/lib
/boot/libs-%{kernel_release}/of1275
/boot/libs-%{kernel_release}/openfirmware
/boot/libs-%{kernel_release}/simple
%dir /boot/libs-%{kernel_release}/utils
%attr(755,root,root) /boot/libs-%{kernel_release}/utils/*
/boot/libs-%{kernel_release}/ld.script
%endif
%endif

%if %{have_sound}
%files sound-alsa
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound
%exclude %dir /lib/modules/%{kernel_release}/kernel/sound
%exclude /lib/modules/%{kernel_release}/kernel/sound/soundcore.*
%if %{have_oss}
%exclude /lib/modules/%{kernel_release}/kernel/sound/oss
%endif

%if %{have_oss}
%files sound-oss
%defattr(644,root,root,755)
/lib/modules/%{kernel_release}/kernel/sound/oss
%endif
%endif			# %%{have_sound}

%files headers
%defattr(644,root,root,755)
%dir %{_kernelsrcdir}
%{_kernelsrcdir}/include
%{_kernelsrcdir}/config-dist
%{_kernelsrcdir}/Module.symvers-dist

%files module-build -f aux_files
%defattr(644,root,root,755)
# symlinks pointint to kernelsrcdir
%dir /lib/modules/%{kernel_release}
/lib/modules/%{kernel_release}/build
%{_kernelsrcdir}/Kbuild
%{_kernelsrcdir}/localversion
%{_kernelsrcdir}/arch/*/kernel/asm-offsets.*
%{_kernelsrcdir}/arch/*/kernel/sigframe.h
%dir %{_kernelsrcdir}/scripts
%dir %{_kernelsrcdir}/scripts/kconfig
%{_kernelsrcdir}/scripts/Kbuild.include
%{_kernelsrcdir}/scripts/Makefile*
%{_kernelsrcdir}/scripts/basic
%{_kernelsrcdir}/scripts/mkmakefile
%{_kernelsrcdir}/scripts/mod
%{_kernelsrcdir}/scripts/setlocalversion
%{_kernelsrcdir}/scripts/*.c
%{_kernelsrcdir}/scripts/*.sh
%{_kernelsrcdir}/scripts/kconfig/*
%{_kernelsrcdir}/scripts/mkcompile_h

%files doc
%defattr(644,root,root,755)
%{_kernelsrcdir}/Documentation

%if %{with source}
%files source -f aux_files_exc
%defattr(644,root,root,755)
%if %{with abi}
%{_kernelsrcdir}/abi
%endif /* abi */
%{_kernelsrcdir}/arch/*/[!Mk]*
%{_kernelsrcdir}/arch/*/kernel/[!M]*
%exclude %{_kernelsrcdir}/arch/*/kernel/asm-offsets.*
%exclude %{_kernelsrcdir}/arch/*/kernel/sigframe.h
%{_kernelsrcdir}/block
%{_kernelsrcdir}/crypto
%{_kernelsrcdir}/drivers
%{_kernelsrcdir}/fs
%if %{with grsecurity}
%{_kernelsrcdir}/grsecurity
%endif
%{_kernelsrcdir}/init
%{_kernelsrcdir}/ipc
%{_kernelsrcdir}/kernel
%{_kernelsrcdir}/lib
%{_kernelsrcdir}/mm
%{_kernelsrcdir}/net
%{_kernelsrcdir}/scripts/*
%exclude %{_kernelsrcdir}/scripts/Kbuild.include
%exclude %{_kernelsrcdir}/scripts/Makefile*
%exclude %{_kernelsrcdir}/scripts/basic
%exclude %{_kernelsrcdir}/scripts/kconfig
%exclude %{_kernelsrcdir}/scripts/mkmakefile
%exclude %{_kernelsrcdir}/scripts/mod
%exclude %{_kernelsrcdir}/scripts/setlocalversion
%exclude %{_kernelsrcdir}/scripts/*.c
%exclude %{_kernelsrcdir}/scripts/*.sh
%{_kernelsrcdir}/sound
%{_kernelsrcdir}/security
%{_kernelsrcdir}/usr
%{_kernelsrcdir}/COPYING
%{_kernelsrcdir}/CREDITS
%{_kernelsrcdir}/MAINTAINERS
%{_kernelsrcdir}/README
%{_kernelsrcdir}/REPORTING-BUGS
%{_kernelsrcdir}/.mailmap
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kernel.spec,v $
Revision 1.441.2.1796.2.46.BL  2008-02-04 11:25:00  bartoszl@ics.p.lodz.pl
- xen 3.1 patch ported from Ubuntu
- rewriten kernel-xen?.config
- fixed assembler error in arch/x86_64/kernel/head-xen.S
- fixed CONFIG_DEBUG_STACK_USAGE builder error on athlon
- fixed PreInstallKernel to use vmlinuz when with xen
- fixed %post script installing xen kernel, initrd, etc.
- fixed kernel-pom-ng-ROUTE

Revision 1.441.2.1796.2.46  2008-02-02 21:16:32  arekm
- linux-2.6-cpuset_virtualization.patch broken

Revision 1.441.2.1796.2.45  2008-01-20 05:34:54  glen
- gcc-3.3.6: cc1: error: bad value (440) for -mcpu= switch
  make[1]: *** [arch/powerpc/boot/44x.o] Error 1

Revision 1.441.2.1796.2.44  2008-01-19 17:46:55  glen
- now that there's only main one package, drop version macros, cleanups

Revision 1.441.2.1796.2.43  2008-01-19 17:21:53  glen
- use %{name} macro
- LINUX_2_6_16 merges

Revision 1.441.2.1796.2.42  2008-01-19 17:05:24  glen
- LINUX_2_6_16 merge:
- drop dozen of provides, leave only internal deps
- besides by pld policy shouldn't depend on kernel package(s)
- drop now unused/pointless macros
- only netfilter deps left due iptables.spec
- no manual removal of /lib/modules/../modules.* needed, %ghost does that
- netfilter provide with alt kernel support

Revision 1.441.2.1796.2.41  2008-01-18 13:48:12  arekm
- handle the AF_RXRPC problem here instead in kernel*.config files

Revision 1.441.2.1796.2.40  2008-01-18 12:29:59  arekm
- rel 4; vserver up to 2.3.0.29.2

Revision 1.441.2.1796.2.39  2008-01-17 23:38:10  glen
- no plain provides for kernel-headers

Revision 1.441.2.1796.2.38  2008-01-15 08:50:56  arekm
- up to 2.6.22.16 (CVE-2008-0001)

Revision 1.441.2.1796.2.37  2008-01-09 20:56:14  arvenil
- added NOTE about disabled build of kernel kvm module (it is provided by kvm.spec)

Revision 1.441.2.1796.2.36  2008-01-02 17:07:19  hawk
- added %{subname} to kernel_release to allow simultaneous installation
  of normal and grsecurity kernel (there was conflict on
  /lib/modules/%{version}-%{release})
- release 3 to rebuild, but keep in mind that previous release was not
  integer due to adding lustre support which is still NFY/not tested)

Revision 1.441.2.1796.2.35  2007-12-31 15:27:39  matkor
- Release 2.2. bconded lustre added.

Revision 1.441.2.1796.2.34  2007-12-29 14:12:24  matkor
- Release 2. Added ocfs2 fixes.

Revision 1.441.2.1796.2.33  2007-12-14 20:56:12  arekm
- up to 2.6.22.15

Revision 1.441.2.1796.2.32  2007-12-12 22:30:22  zbyniu
- rel 6

Revision 1.441.2.1796.2.31  2007-12-12 22:11:15  zbyniu
- rndis_host remerged to main package
- kernel-rndis_host-wm5.patch added; rel 5

Revision 1.441.2.1796.2.30  2007-12-12 12:17:30  zbyniu
- patch for support conntrack in ipvs
- grsec fixes

Revision 1.441.2.1796.2.29  2007-12-12 12:01:31  glen
- add kernel-modpost_warn.patch; rel 4

Revision 1.441.2.1796.2.28  2007-12-11 08:38:24  arekm
- rel 3; fix issue where htb was not limiting packets correctly for sizes > 1600

Revision 1.441.2.1796.2.27  2007-12-05 07:30:00  arekm
- fix vserver 2.3 context leak which became unacessible leaving vserver mounts alive

Revision 1.441.2.1796.2.26  2007-11-28 21:36:02  arekm
- rel 2; imq fixed

Revision 1.441.2.1796.2.25  2007-11-28 21:01:41  arekm
- IMQ should be fixed now; rel 1.1

Revision 1.441.2.1796.2.24  2007-11-21 18:17:07  arekm
- up to 2.6.22.14

Revision 1.441.2.1796.2.23  2007-11-17 07:28:21  hawk
- release 2

Revision 1.441.2.1796.2.22  2007-11-16 20:18:38  hawk
- updated to 2.6.22.13, fixes CVE-2007-5501 and CVE-2007-5500

Revision 1.441.2.1796.2.21  2007-11-16 16:35:23  zbyniu
- bcond_without ipv6 added

Revision 1.441.2.1796.2.20  2007-11-07 10:21:51  glen
- add TIOCGDEV.patch

Revision 1.441.2.1796.2.19  2007/11/05 19:07:07  arekm
- up to 2.6.22.12

Revision 1.441.2.1796.2.18  2007/11/02 16:39:57  arekm
- up to 2.6.22.11

Revision 1.441.2.1796.2.17  2007/11/01 20:34:21  blues
- removed ieee80211_rate patch

Revision 1.441.2.1796.2.16  2007/10/29 21:26:12  arekm
- fix from git (fixes stex related problems)

Revision 1.441.2.1796.2.15  2007/10/29 12:41:40  vip
- ieee80211_key.h needed for iwlwifi too

Revision 1.441.2.1796.2.14  2007/10/29 11:54:49  blues
- one more headers relocation

Revision 1.441.2.1796.2.13  2007/10/29 11:48:30  blues
- 2 more headers needed

Revision 1.441.2.1796.2.12  2007/10/29 01:18:17  zbyniu
- new imq patch; rel 4

Revision 1.441.2.1796.2.11  2007/10/28 13:25:19  arekm
- rel 3

Revision 1.441.2.1796.2.10  2007/10/27 18:57:11  blues
- ieee80211_rate.h is required by iwlwifi - copy it to headers

Revision 1.441.2.1796.2.9  2007/10/18 13:57:03  baggins
- updated vserver to 2.3.0.28, v6tw fix included

Revision 1.441.2.1796.2.8  2007/10/17 11:42:14  baggins
- rel 2
- fixed nasty bug in vserver code

Revision 1.441.2.1796.2.7  2007/10/15 15:16:19  mguevara
- cleanup after prefetch disabling

Revision 1.441.2.1796.2.6  2007/10/12 20:53:58  baggins
- disabled prefetch, oopsed on me

Revision 1.441.2.1796.2.5  2007/10/11 19:37:09  baggins
- rel 1.1
- added .mailmap file to -source package
- prefetch features need testing

Revision 1.441.2.1796.2.4  2007/10/11 17:27:20  baggins
- updated vserver to vs2.3.0.27
- added missing module dir for .../kernel/mm/prefetch_boot.ko.gz

Revision 1.441.2.1796.2.3  2007/10/11 17:05:05  baggins
- added config for prefetch patch

Revision 1.441.2.1796.2.2  2007/10/11 16:59:13  baggins
- added prefetch patch (http://code.google.com/p/prefetch/)

Revision 1.441.2.1796.2.1  2007/10/10 19:37:35  arekm
- up to 2.6.22.10

Revision 1.441.2.1796  2007/10/08 11:37:31  zbyniu
- rel 3

Revision 1.441.2.1795  2007/10/07 21:53:33  baggins
- rel 2

Revision 1.441.2.1794  2007/10/06 09:51:33  baggins
- rel 1.1
- vserver updated to vs2.3.0.26.4

Revision 1.441.2.1793  2007/10/03 15:46:26  arekm
- rel 1

Revision 1.441.2.1792  2007/10/02 12:44:04  zbyniu
- kernel-suspend2-headers.patch added
- linux-2.6-vs2.1-suspend2.patch if with suspend2

Revision 1.441.2.1791  2007/10/02 12:06:45  zbyniu
- kernel-timers.patch now in vserver patch

Revision 1.441.2.1790  2007/10/01 12:45:33  arekm
- rel 0.5; fix vservers oops triggered by ntpd run on host

Revision 1.441.2.1789  2007/09/26 19:17:28  zawadaa
- up to 2.6.22.9
- patch150 alredy in .9

Revision 1.441.2.1788  2007/09/26 11:21:19  baggins
- 2.6.22.8

Revision 1.441.2.1787  2007/09/22 21:54:49  zbyniu
- pom-ng-set is back (snap 20070921)
- white space cleanups
- rel 0.4

Revision 1.441.2.1786  2007/09/22 10:16:29  arekm
- uptated to 2.6.22.7

Revision 1.441.2.1785  2007/09/20 17:49:35  zbyniu
- unionfs 2.1.4; vserver changes for unionfs into patch 141

Revision 1.441.2.1784  2007/09/14 13:53:36  aflinta
- added aic94xx patch with included firmware

Revision 1.441.2.1783  2007/09/13 21:24:33  arekm
- rel 3; fix race instead of symptoms

Revision 1.441.2.1782  2007/09/09 20:36:31  zbyniu
- patch adding support for test xid/nid (vserver) in owner netfilter module

Revision 1.441.2.1781  2007/09/08 18:50:11  zbyniu
- new pax patch, renamed to kernel-pax.patch

Revision 1.441.2.1780  2007/09/03 12:05:24  mguevara
- 2.6.22.6-0.2, introduced vs22 bcond, which enables use of vserver 2.2
  instead of 2.3 line; when vs22 is choosed we should have IPV6 compiled
  as an module; patch102 linux-2.6-vs2.2.patch (re)added

Revision 1.441.2.1779  2007/08/31 11:47:00  tommat
- no net-rndis on sparc
- builds now

Revision 1.441.2.1778  2007/08/31 07:02:10  arekm
- up to 2.6.22.6

Revision 1.441.2.1777  2007/08/30 09:48:05  arekm
- fix oopses on SMP machines when using stex driver

Revision 1.441.2.1776  2007/08/29 07:08:03  zbyniu
- temporary disabled RELOCATABLE if with pax or grsec_full

Revision 1.441.2.1775  2007/08/23 19:25:31  zbyniu
- note about layer7 version

Revision 1.441.2.1774  2007/08/23 01:50:25  zbyniu
- up to 2.6.22.5

Revision 1.441.2.1773  2007/08/21 16:47:10  baggins
- fix source14 md5

Revision 1.441.2.1772  2007/08/21 16:42:58  baggins
- updated to 2.6.22.4 (CVE-2007-3848)

Revision 1.441.2.1771  2007/08/21 15:58:21  baggins
- info for cpuset_virtualization patch

Revision 1.441.2.1770  2007/08/21 15:45:10  baggins
- added unionfs patch

Revision 1.441.2.1769  2007/08/21 15:41:17  baggins
- new netfilter snap date

Revision 1.441.2.1768  2007/08/16 23:41:02  zbyniu
- up to 2.6.22.3

Revision 1.441.2.1767  2007/08/15 22:13:44  zbyniu
- ipt_account is back

Revision 1.441.2.1766  2007/08/15 11:04:09  zbyniu
- ipt_ACCOUNT re-added

Revision 1.441.2.1765  2007/08/15 01:51:49  zbyniu
- pom-ng-rpc is back

Revision 1.441.2.1764  2007/08/13 18:31:03  zbyniu
- pom-ng-rsh.patch is back

Revision 1.441.2.1763  2007/08/13 17:31:28  baggins
- rel 0.2

Revision 1.441.2.1762  2007/08/13 17:18:51  baggins
- added NFS fixes

Revision 1.441.2.1761  2007/08/13 16:13:04  baggins
- squashfs fixed
- sqlzma dropped, patch broken and unfixable (use squashfs_lzma.spec)

Revision 1.441.2.1760  2007/08/13 14:59:06  baggins
- dropped rsh patch, added is as a future todo

Revision 1.441.2.1759  2007/08/13 14:56:46  baggins
- reverted last change

Revision 1.441.2.1758  2007/08/13 14:47:51  baggins
- working on rsh patch

Revision 1.441.2.1757  2007/08/13 14:46:38  baggins
- no netfilter set, sorry, big conflict on headers

Revision 1.441.2.1756  2007/08/13 13:43:36  baggins
- apply set after IPMARK

Revision 1.441.2.1755  2007/08/13 13:40:26  baggins
- IPMARK ok
- one more sk98lin fix
- set in the works

Revision 1.441.2.1754  2007/08/13 13:13:54  baggins
- layer7 done, IPMARK in the works

Revision 1.441.2.1753  2007/08/13 12:53:34  baggins
- PF_RING fixed, layer7 in the works

Revision 1.441.2.1752  2007/08/13 12:06:10  baggins
- fixed sk98lin patch
- PF_RING testing

Revision 1.441.2.1751  2007/08/13 01:50:01  zbyniu
- wrr updated

Revision 1.441.2.1750  2007/08/13 00:24:48  zbyniu
- esfq updated

Revision 1.441.2.1749  2007/08/11 15:06:09  qboosh
- simplified: always use ARCH=, no need for special make cases for sparc

Revision 1.441.2.1748  2007/08/11 12:48:33  zbyniu
- rndis modules now in net/usb not usb/net
- problematic patches commented out; status - builds with grsec_full on ac@amd64

Revision 1.441.2.1747  2007/08/10 23:37:56  zbyniu
- up to 2.6.22.2

Revision 1.441.2.1746  2007/08/09 20:09:58  baggins
- temp. disabled layer7 patch

Revision 1.441.2.1745  2007/08/09 19:29:39  baggins
- fixed 2.6.22 incompatibilities on POM patches

Revision 1.441.2.1744  2007/08/09 00:59:23  baggins
- disabled more broken patches (ipv4options, ROUTE and dk98lin driver)

Revision 1.441.2.1743  2007/08/09 00:46:41  baggins
- disabled kernel-pom-ng-mms-conntrack-nat.patch (needs update)

Revision 1.441.2.1742  2007/08/09 00:41:56  baggins
- squashfs disabled, needs update

Revision 1.441.2.1741  2007/08/09 00:32:51  baggins
- x86_64 config updated

Revision 1.441.2.1740  2007/08/09 00:24:47  baggins
- disabled squashfs lzma patch

Revision 1.441.2.1739  2007/08/09 00:10:39  baggins
- TODO: i386 config updated

Revision 1.441.2.1738  2007/08/07 20:06:31  baggins
- removed outdated sata-promise-pata-ports
- updated sk98lin, toshiba_acpi
- enabled squashfs lzma
- updated i386 config

Revision 1.441.2.1737  2007/08/07 18:05:06  baggins
- dropped obsolete patches
- updated reiser4 patch

Revision 1.441.2.1736  2007/08/07 16:10:20  mguevara
- initial 2.6.22.1 update - not yet ready, todo update

Revision 1.441.2.1735  2007/07/23 21:30:20  arekm
- up to 2.6.21.6

Revision 1.441.2.1734  2007/07/17 07:24:50  matkor
- bcm43xx fixes added. Release 0.2.

Revision 1.441.2.1733  2007/06/26 17:31:52  qboosh
- merged subname/alt_kernel support from LINUX_2_6_16 branch

Revision 1.441.2.1732  2007/06/11 20:34:59  arekm
- up to 2.6.21.5

Revision 1.441.2.1731  2007/06/11 05:52:34  tommat
- now builds on sparc64

Revision 1.441.2.1730  2007/06/10 19:06:18  areq
- add linux-PF_RING.patch
  http://www.ntop.org/PF_RING.html

Revision 1.441.2.1729  2007/06/08 07:27:19  arekm
- up to 2.6.21.4

Revision 1.441.2.1728  2007/06/05 08:54:24  mguevara
- rel 1.3, grsec_full updated to grsecurity-2.1.10-2.6.21.3-200706042125

Revision 1.441.2.1727  2007/06/04 23:06:36  mguevara
- rel 1.2, grsec_full updated to grsecurity-2.1.10-2.6.21.3-200706041811

Revision 1.441.2.1726  2007/06/04 22:19:21  mguevara
- rel 1.1, grsec_full updated to grsecurity-2.1.10-2.6.21.3-200706041205

Revision 1.441.2.1725  2007/06/04 09:48:37  mguevara
- 2.6.21.3-1, status and todo update

Revision 1.441.2.1724  2007/06/04 01:21:43  mguevara
- rel 0.5, vs2.3 instead of vs2.2

Revision 1.441.2.1723  2007/06/04 00:43:21  mguevara
- rel 0.4, grsec_full and pax patches updated

Revision 1.441.2.1722  2007/05/30 11:56:20  mguevara
- netfilter related patches cleanup and merge
- new naming scheme applied

Revision 1.441.2.1721  2007/05/30 08:45:03  mguevara
- cosmetics, some cleanup and todo update

Revision 1.441.2.1720  2007/05/29 13:40:03  mguevara
- rel 0.3, suspend2 updated to 2.2.10

Revision 1.441.2.1719  2007/05/29 09:43:39  mguevara
- 0.2, routes patch300 updated, CONFIG_IP_ROUTE_MULTIPATH_CACHED disabled

Revision 1.441.2.1718  2007/05/27 23:31:17  zytek
- revert last change

Revision 1.441.2.1717  2007/05/27 23:17:22  zytek
- add /video in modules dir

Revision 1.441.2.1716  2007/05/25 00:27:38  mguevara
- 2.6.21.3-0.1

Revision 1.441.2.1715  2007/05/09 09:07:40  mguevara
- linux-2.6-grsec_full.patch updated to 200705071727 snapshot (pax related
  fix)

Revision 1.441.2.1714  2007/05/08 15:05:39  mguevara
- lzma for squashfs not yet ready

Revision 1.441.2.1713  2007/05/08 13:54:34  mguevara
- rel 0.5, status & todo update, added sqlzma2k-3.2-r2.patch (lzma for
  squashfs)

Revision 1.441.2.1712  2007/05/08 12:04:26  mguevara
- rel 0.4,  status and todo update, grsec_full, and pax patches updated
  configs updated

Revision 1.441.2.1711  2007/05/04 14:27:58  mguevara
- rel 0.3, status and todo update

Revision 1.441.2.1710  2007/05/04 06:50:28  mguevara
- rel 0.2, status & todo update, vs-2.2 applied in place of vs-2.3 (temp)

Revision 1.441.2.1709  2007/05/03 15:52:23  mguevara
- status and todo update, added linux-2.6.21.1-pwc-uncompress.patch and
  (as temporary solution) linux-2.6-vs2.2.patch
- netfilter related stuff updated for the changes in 2.6.21

Revision 1.441.2.1708  2007/05/01 22:27:47  mguevara
- status updated, some cleanup

Revision 1.441.2.1707  2007/05/01 22:22:27  mguevara
- work in progress, status update, removed patches:
  kernel-bcm43xx-combined_2.6.20.2.patch,  kernel-proxy-pda.patch,
  linux-2.6-gfs2_dlm-2.6.21.patch
- grsecurity patch name changed to more generic linux-2.6-grsec_full.patch

Revision 1.441.2.1706  2007/04/30 15:27:12  mguevara
- some cleanup for 2.6.21.1 - work in progress
- changed bootsplash patch name to more generic linux-2.6-bootsplash.patch
- removed ide_acpi bcond and linux-2.6-ide-acpi-support.patch

Revision 1.441.2.1705  2007/04/30 10:13:51  mguevara
- merge from LINUX_2_6_20 - before 2.6.21

Revision 1.441.2.1698.2.111  2007/04/25 23:10:59  mguevara
- squashfs3.2-patch (r2), pax-linux-2.6.20.patch and
  grsecurity-2.1.10-2.6.20.3.patch (pax-test15) updated, comments updated too

Revision 1.441.2.1698.2.110  2007/04/19 20:15:40  pluto
- drop uheaders bcond.

Revision 1.441.2.1698.2.109  2007/04/18 21:34:56  blues
- touch modules.dep unconditionally. It does nothing bad and gives at least
  empty modules.dep. Even if depmod fails.

Revision 1.441.2.1698.2.108  2007/04/17 10:15:51  mguevara
- dropped future todo items: acrypt officially closed, drivers will be
  moved to the new acync cryptoapi, pax ppc32 change - not needed

Revision 1.441.2.1698.2.107  2007/04/16 13:05:46  mguevara
- linux-2.6-suspend2.patch updated to suspend2-2.2.9.11
- linux-2.6-vs2.3.patch, grsecurity-2.1.10-2.6.20.3.patch and
  kernel-suspend2.config updated for the new suspend2

Revision 1.441.2.1698.2.106  2007/04/16 11:04:26  mguevara
- pax-linux-2.6.20.patch and grsecurity-2.1.10-2.6.20.3.patch updated to pax-linux-2.6.20.7-test13.patch changes

Revision 1.441.2.1698.2.105  2007/04/16 09:07:02  mguevara
- up to 2.6.20.7-1
- grsecurity-2.1.10-2.6.20.3.patch updated

Revision 1.441.2.1698.2.104  2007/04/15 18:15:56  zbyniu
- hack against warning in pax/grsec on alpha; status updated

Revision 1.441.2.1698.2.103  2007/04/12 19:35:52  zbyniu
- patch against warnings; status updated

Revision 1.441.2.1698.2.102  2007/04/11 14:27:12  mguevara
- cosmetics, status, comments and todo update
- pax-linux-2.6.20.patch updated to pax-linux-2.6.20.6-test13.patch
- grsecurity-2.1.10-2.6.20.3.patch updated to
  grsecurity-2.1.10-2.6.20.6-200704091818.patch by zbyniu

Revision 1.441.2.1698.2.101  2007/04/09 20:50:07  mguevara
- rel 2
- vserver updated to vs2.3.0.12: changes in linux-2.6-vs2.3.patch and
  grsecurity-2.1.10-2.6.20.3.patch, linux-2.6-vs2.3-quota.patch removed
  (changes included in 2.3.0.12)
- earlier fixes for nf_conntrack_mms.patch (just before rel 1)

Revision 1.441.2.1698.2.99  2007/04/06 15:36:42  zbyniu
- status updated; newest grsec snap

Revision 1.441.2.1698.2.98  2007/04/04 13:41:13  zbyniu
- gfs and dlm ported from 2.6.21rc5

Revision 1.441.2.1698.2.97  2007/04/03 20:50:05  mguevara
- status update - new vserver, grsecurity and pax patches are out

Revision 1.441.2.1698.2.96  2007/04/03 15:55:55  qboosh
- more

Revision 1.441.2.1698.2.95  2007/04/03 15:50:16  arekm
- turn off libc-headers generation by default

Revision 1.441.2.1698.2.94  2007/03/30 23:19:41  mguevara
- rel 2
- added nf_conntrack_mms.patch which provides conntrack and nat support for
  mms protocol, kernel-netfilter.config updated for the patch
- spec cosmetics - todo and status update

Revision 1.441.2.1698.2.93  2007/03/25 23:02:42  zbyniu
- linux-2.6-apparmor-caps.patch readded

Revision 1.441.2.1698.2.92  2007/03/25 22:30:38  arekm
- add apparmor (again; previously seen in pld 2.6.16)

Revision 1.441.2.1698.2.91  2007/03/24 04:28:46  zbyniu
- updated grsec_full

Revision 1.441.2.1698.2.90  2007/03/23 20:47:34  pluto
- updated to 2.6.20.4.

Revision 1.441.2.1698.2.89  2007/03/22 20:34:14  pluto
- release 1.

Revision 1.441.2.1698.2.88  2007/03/20 18:47:59  mguevara
- rel 0.7
- reiser4 bcond enabled (builds fine but needs testing)
- some status update
- in the mean time kernel-autoconf.h updated by pluto

Revision 1.441.2.1698.2.87  2007/03/19 23:17:27  mguevara
- commented out redundant ppc/ppc64 config (testing)

Revision 1.441.2.1698.2.86  2007/03/19 22:47:39  mguevara
- kernel-powerpc.config renamed to kernel-ppc64.config, powerpc arch stuff
  removed

Revision 1.441.2.1698.2.85  2007/03/19 15:35:21  mguevara
- rel 0.6
- new version of reiser4 patch - reiser4-for-2.6.19-3.patch

Revision 1.441.2.1698.2.84  2007/03/19 13:46:05  mguevara
- rel 0.5 - mainly for ppc64 test build
- added kernel-powerpc.config - wich is generated for powerpc target based
  on kernel-ppc.config - for ppc64 build
- added powerpc as supported arch
- removed linux-net-2.6.19.patch - no need for 2.6.19 network code

Revision 1.441.2.1698.2.83  2007/03/19 09:45:25  mguevara
- rel 0.4, pax-linux-2.6.20.patch updated to test9

Revision 1.441.2.1698.2.82  2007/03/16 11:29:10  pluto
- cleanups, release 0.3.

Revision 1.441.2.1698.2.81  2007/03/16 10:05:11  pluto
- merge up/smp kernel infrastructure. th will use only smp.

Revision 1.441.2.1698.2.80  2007/03/15 23:56:53  glen
- probably corrected

Revision 1.441.2.1698.2.79  2007/03/15 16:15:47  mguevara
- rel 0.2
- pax-linux-2.6.20.patch updated to test8

Revision 1.441.2.1698.2.78  2007/03/14 16:33:08  ankry
- sorted

Revision 1.441.2.1698.2.77  2007/03/14 12:18:32  glen
- test branch encoding

Revision 1.441.2.1698.2.76  2007/03/14 11:43:42  arekm
- introduce kernel-libc-headers which obsoletes linux-libc-headers; adapterized

Revision 1.441.2.1698.2.75  2007/03/13 23:32:06  mguevara
- 2.6.20.3-0.1
- updated linux-2.6-vs2.3.patch and kernel-bcm43xx-combined_2.6.20.2.patch
- removed ifarch from suspend2 patches in prep section
- some changes in todo section

Revision 1.441.2.1698.2.74  2007/03/13 16:44:38  sparky
- check specparser (fetchsec_request has problems with branches ?)

Revision 1.441.2.1698.2.73  2007/03/13 04:49:11  mguevara
- status and todo update

Revision 1.441.2.1698.2.72  2007/03/12 23:21:04  mguevara
- rel 0.5
- status update
- updated pax-linux-2.6.20.patch up to paxguy1's test7
- added CONFIG_NET_ACT_IPT=m to configs for alpha, alpha-smp, sparc,
  sparc-smp, sparc64 and sparc64-smp archs

Revision 1.441.2.1698.2.71  2007/03/12 21:55:24  mguevara
- suspend2 patches applied for alpha architecture

Revision 1.441.2.1698.2.70  2007/03/12 19:38:29  qrczak
- kernel-proxy-pda.patch: fixed compilation with gcc-4.1.2

Revision 1.441.2.1698.2.69  2007/03/12 15:15:49  mguevara
- kernel-pax.config updated - added disabled PAX_EMUSIGRT and PAX_EMUPLT
- updated PaXconfig - enables PAX_EMUSIGRT for 32-bit ppc and PAX_EMUPLT
  for 32-bit ppc, sparc, sparc64 and alpha architectures

Revision 1.441.2.1698.2.68  2007/03/12 14:35:02  mguevara
- rel 0.4
- status updated - successfull crossbuild for ppc architecture

Revision 1.441.2.1698.2.67  2007/03/12 08:53:27  mguevara
- rel 0.3
- updated kernel-i386.config and kernel-i386-smp.config
  (CONFIG_HEADERS_CHECK=y added)
- updated kernel-ppc.config and kernel-ppc-smp.config
  (CONFIG_HEADERS_CHECK=y removed)

Revision 1.441.2.1698.2.66  2007/03/11 23:42:57  mguevara
- added ppc to suspend2 supported architectures
- kernel-ppc.config and kernel-ppc-smp.config updated
- some status update

Revision 1.441.2.1698.2.65  2007/03/11 15:46:23  matkor
- Rel 0.2. Updated bcm43xx patch to recent version.

Revision 1.441.2.1698.2.64  2007/03/10 23:17:54  mguevara
- 2.6.20.2-0.1
- updated kernel-i386.config, kernel-i386-smp.config, kernel-x86_64.config,
  kernel-x86_64-smp.config, kernel-sparc.config, kernel-sparc-smp.config,
  kernel-sparc64.config, kernel-sparc64-smp.config, kernel-alpha.config,
  kernel-alpha-smp.config, kernel-ppc.config, kernel-ppc-smp.config,
  linux-2.6-vs2.3.patch, kernel-bcm43xx-2.6.20_combined.patch and
  pax-linux-2.6.20.patch

Revision 1.441.2.1698.2.63  2007/03/10 21:09:54  mguevara
- net-rndis smp-net-rndis files definitions moved to proper with up/smp sections

Revision 1.441.2.1698.2.62  2007/03/08 00:59:05  mguevara
- rel 0.14
- move drivers/usb/net/{cdc_ether,rndis_host,usbnet}.ko.* modules to
  separate kernel-net-rndis and kernel-smp-net-rndis subpackages for
  easy replacement by kernel-misc-usb-rndis-lite

Revision 1.441.2.1698.2.61  2007/03/07 09:50:35  mguevara
- pax-linux-2.6.20.patch updated to test6
- some desc fixes

Revision 1.441.2.1698.2.60  2007/03/06 15:09:04  mguevara
- rel 0.13

Revision 1.441.2.1698.2.59  2007/03/06 09:51:21  mguevara
- added (not yet ready) pax_selinux_hooks-2.6.20.patch
- some commented stuff for PAX_KERNEXEC testing

Revision 1.441.2.1698.2.58  2007/03/02 12:32:39  baggins
- apply quota fix

Revision 1.441.2.1698.2.57  2007/03/02 12:30:31  baggins
- fix quota on vroot devices for vserver

Revision 1.441.2.1698.2.56  2007/03/02 10:47:26  mguevara
- pax related config changes

Revision 1.441.2.1698.2.55  2007/03/02 01:26:14  mguevara
- changed grsec and pax stuff - testing pax-only build (with grsec_minimal)
- added kernel-grsec_minimal.config

Revision 1.441.2.1698.2.54  2007/02/28 00:11:25  mguevara
- rel 0.12
- started working with pax and grsecurity patches

Revision 1.441.2.1698.2.53  2007/02/27 00:27:02  mguevara
- rel 0.11
- new version of linux-2.6-vs2.3.patch based on vs2.3.0.11

Revision 1.441.2.1698.2.52  2007/02/26 22:49:16  mguevara
- rel 0.10
- added "CONFIG_PROC_KCORE is not set" to kernel-x86_64-smp.config and
  kernel-x86_64.config for building without grsecurity

Revision 1.441.2.1698.2.51  2007/02/26 11:31:31  mguevara
- rel 0.9, bcond wrr enabled by default

Revision 1.441.2.1698.2.50  2007/02/26 09:58:56  mguevara
- rel 0.8
- added wrr support (currently in bcond): wrr-linux-051111-2.6.20.patch
  and kernel-wrr.config
- some kernel-netfilter.config cleaning (imq related)

Revision 1.441.2.1698.2.49  2007/02/25 23:34:01  mguevara
- rel 0.7
- updated configs for sparc, sparc64 and alpha archs:
  kernel-sparc-smp.config, kernel-sparc.config, kernel-sparc64-smp.config,
  kernel-sparc64.config, kernel-alpha-smp.config and kernel-alpha.config

Revision 1.441.2.1698.2.48  2007/02/25 22:22:10  mguevara
- rel 0.6
- generated new configs for ppc: kernel-ppc-smp.config and kernel-ppc.config

Revision 1.441.2.1698.2.47  2007/02/23 10:31:28  mguevara
- rel 0.5
- more changes in kernel-x86_64.config and kernel-x86_64-smp.config by pluto
  (enabled numa and memory hotplug on smp and disabled stack protector)

Revision 1.441.2.1698.2.46  2007/02/23 10:17:00  mguevara
- rel 0.4
- kernel-x86_64.config and kernel-x86_64-smp.config updated by pluto
  (CONFIG_BCM43XX_DEBUG=y enabled)
- some cosmetic changes - basever near rel

Revision 1.441.2.1698.2.45  2007/02/23 09:33:37  mguevara
- rel 0.3, kernel-imq.config updated (activated CONFIG_IMQ_BEHAVIOR_AB=y)

Revision 1.441.2.1698.2.44  2007/02/21 16:46:05  mguevara
- rel 0.2
- kernel-x86_64.config and kernel-x86_64-smp.config updated
- status update

Revision 1.441.2.1698.2.43  2007/02/20 10:23:22  mguevara
- up to 2.6.20.1-0.1, status update

Revision 1.441.2.1698.2.42  2007/02/19 23:02:08  mguevara
- rel 0.14
- pom-ng-set-20061213.patch and reiser4-for-2.6.19-2.patch updated
  (kmem_cache_t -> struct kmem_cache)

Revision 1.441.2.1698.2.41  2007/02/19 00:29:53  mguevara
- rel 0.13
- new version of linux-2.6-vs2.3.patch based on 2.3.0.10.1
- linux-2.6-grsec-minimal.patch updated by adamg
- kernel-small_fixes.patch updated by charles

Revision 1.441.2.1698.2.40  2007/02/17 01:17:56  mguevara
- rel 0.12, fixed TARPIT and ROUTE for smp, status update

Revision 1.441.2.1698.2.39  2007/02/16 22:52:25  mguevara
- some layer7 fixes/nf_conntrack port

Revision 1.441.2.1698.2.38  2007/02/16 11:12:16  glen
- typo

Revision 1.441.2.1698.2.37  2007/02/16 10:51:34  mguevara
- rel 0.11, status update

Revision 1.441.2.1698.2.36  2007/02/14 10:39:32  mguevara
- rel 0.10, test build of reiser4

Revision 1.441.2.1698.2.35  2007/02/13 07:05:35  mguevara
- rel 0.9, test build of the new bootsplash

Revision 1.441.2.1698.2.34  2007/02/12 23:51:24  mguevara
- rel 0.8, new versions of bootsplash, fbsplash and reiser4

Revision 1.441.2.1698.2.33  2007/02/12 23:20:04  mguevara
- some cleanup, abi uncommented but not updated, some new patches to test

Revision 1.441.2.1698.2.32  2007/02/12 14:06:26  qrczak
- Spec converted to UTF-8.

Revision 1.441.2.1698.2.31  2007/02/12 11:34:44  mguevara
- rel 0.7, vserver back to 2.3 line - 2.3.0.9 (testing)

Revision 1.441.2.1698.2.30  2007/02/10 20:54:46  mguevara
- rel 0.6, new version of suspend2 patch (2.2.9.7)

Revision 1.441.2.1698.2.29  2007/02/09 14:42:33  arekm
- move /lib/modules/*/build symlink to proper package

Revision 1.441.2.1698.2.28  2007/02/09 00:15:24  mguevara
- status update, vserver (2.2.0pre3) looks good

Revision 1.441.2.1698.2.27  2007/02/08 22:29:36  mguevara
- rel 0.5, status update, new snap of vserver

Revision 1.441.2.1698.2.26  2007/02/08 22:01:38  mguevara
- typos

Revision 1.441.2.1698.2.25  2007/02/08 00:22:29  mguevara
- new vserver patch (based on vs2.2.0pre1 instead of vs2.3.0.6)

Revision 1.441.2.1698.2.24  2007/02/06 15:29:18  mguevara
- rel 0.4, status update

Revision 1.441.2.1698.2.23  2007/02/06 09:35:02  mguevara
- rel 0.3, testing connlimit and 300Hz tick, some status update

Revision 1.441.2.1698.2.22  2007/02/05 17:18:46  matkor
- bcm43xx fixes which did not make for 2.6.20 added. Work for me. Scheduled to 2.6.20.1/2.6.21.

Revision 1.441.2.1698.2.21  2007/02/05 08:25:08  mguevara
- 2.6.20

Revision 1.441.2.1698.2.20  2007/02/04 10:14:34  pluto
- remove dead old_netfilter bcond.

Revision 1.441.2.1698.2.19  2007/02/01 22:54:12  mguevara
- todo update - not to forget about broken (and disabled) connlimit

Revision 1.441.2.1698.2.18  2007/02/01 22:49:51  mguevara
- move to 2.6.20-rc7 _rel 0.1

Revision 1.441.2.1698.2.17  2007/01/31 23:15:21  mguevara
- vserver bcond changed to on
- some status update

Revision 1.441.2.1698.2.16  2007/01/31 20:59:26  mguevara
- _rel 0.3, added patch2100 for paravirt_ops symbol exporting
- vserver builds but not tested yet.

Revision 1.441.2.1698.2.15  2007/01/31 11:16:15  mguevara
- _rel 0.2, status and todo update

Revision 1.441.2.1698.2.14  2007/01/31 06:43:36  mguevara
- ocfs2 fix from lkml/git tree

Revision 1.441.2.1698.2.13  2007/01/30 23:35:34  mguevara
- up to 2.6.20-rc6 _rel 0.1

Revision 1.441.2.1698.2.12  2007/01/25 07:53:04  pluto
- fix smp only build.

Revision 1.441.2.1698.2.11  2007/01/15 00:21:27  mguevara
- _rel 0.2

Revision 1.441.2.1698.2.10  2007/01/14 23:53:14  mguevara
- some cleanup and status update

Revision 1.441.2.1698.2.9  2007/01/14 21:09:19  mguevara
- kvm fix from LKML - p2010: linux-2.6.20-rc5-profile_hits.patch

Revision 1.441.2.1698.2.8  2007/01/14 18:26:35  mguevara
- include/linux/compile.h target is gone from the main Makefile

Revision 1.441.2.1698.2.7  2007/01/14 18:02:25  mguevara
- rc5 update

Revision 1.441.2.1698.2.6  2007/01/13 22:17:50  mguevara
- _rel 0.6
- new vesafb-tng-1.0-rc2-2.6.20-rc2.patch vesafb_tng patch
  builds ok --with vesafb_tng bcond

Revision 1.441.2.1698.2.5  2007/01/12 16:30:13  mguevara
- suspend2 bcond enabled - builds ok
- status update

Revision 1.441.2.1698.2.4  2007/01/12 10:37:43  mguevara
- _rel 0.5
- new suspend2-2.2.9.3-for-2.6.20-rc4.patch patch
- fixed usage of suspend2 bcond

Revision 1.441.2.1698.2.3  2007/01/10 23:52:19  mguevara
- _rel 0.4
- enabled regparm bcond by default - but this can change due to blob modules
  compatibility
- some status & todo update

Revision 1.441.2.1698.2.2  2007/01/10 01:38:00  mguevara
- rel 0.3 or 2.6.20-0.rc4.0.3
- adds linux-2.6.20_i386_regparm_off.patch for compatibility with some HAL
  binary modules (madwifi-ng)
- fixes in headers and module-build
- some cleanup and status update

Revision 1.441.2.1698.2.1  2007/01/08 15:28:22  mguevara
- 2.6.20-rc4 work in progress

Revision 1.441.2.1698  2007/01/02 15:27:29  baggins
- grsec_minimal updated

Revision 1.441.2.1697  2007/01/02 14:17:58  baggins
- vserver patch up to 2.3.0.6

Revision 1.441.2.1696  2006/12/31 18:06:40  mguevara
- rel 0.5 - imq bcond is on by default

Revision 1.441.2.1695  2006/12/22 01:35:19  mguevara
- rel 0.4 - imq stuff added - bcond imq

Revision 1.441.2.1694  2006/12/19 20:22:38  mguevara
- rel 0.3

Revision 1.441.2.1693  2006/12/19 20:12:03  mguevara
- netfilter pom-ng stuff should be ok

Revision 1.441.2.1692  2006/12/19 18:36:22  mguevara
- fix: utsrelease.h smp removal

Revision 1.441.2.1691  2006/12/18 23:13:13  glen
- skip stripping sourcedir

Revision 1.441.2.1690  2006/12/18 14:20:40  mguevara
- 2.6.19.1-0.2
- builds --with pax on i686

Revision 1.441.2.1689  2006/12/16 01:49:55  mguevara
- new grsecurity patch
- builds --without grsecurity on i686

Revision 1.441.2.1688  2006/12/15 19:22:38  glen
- that mv was ok, pwd is $RPM_BUILD_ROOT

Revision 1.441.2.1687  2006/12/15 19:17:50  glen
- more

Revision 1.441.2.1686  2006/12/15 19:14:56  glen
- let %install be re-entrant

Revision 1.441.2.1685  2006/12/15 19:13:58  glen
- - use macros for same location to be able to merge different kernel specs

Revision 1.441.2.1684  2006/12/15 12:25:19  mguevara
- todo update - most pom-ng and sk98lin patches needs api level changes
  layer7, ipp2p should be ready, set and geoip should be ready out of the
  box

Revision 1.441.2.1683  2006/12/15 02:20:38  mguevara
- layer7 fix for 2.6.19 api (patch48 & patch49) - should be merged btw

Revision 1.441.2.1682  2006/12/15 00:12:21  mguevara
- todo update

Revision 1.441.2.1681  2006/12/15 00:03:42  mguevara
- commented source10 - see comment on revision 1.441.2.1666 - patch 69
- added patch72 kernel-2.6-ueagle-atm-freezer.patch
- added patch81 linux-2.6.19-atiixp-legacy.patch

Revision 1.441.2.1680  2006/12/14 18:31:56  czarny
- fbsplash up to 0.9.2-r5-2.6.19-rc2

Revision 1.441.2.1679  2006/12/14 15:48:14  mguevara
- cleanup

Revision 1.441.2.1678  2006/12/14 14:52:49  mguevara
- netfilter with pom-ng and layer7 builds, but needs updated pom patches
- removed not ready pom-ng patches: quake3-conntrack-nat, rpc,
  rtsp-conntrack, talk-conntrack-nat

Revision 1.441.2.1677  2006/12/14 13:24:24  mguevara
- 2.6.19 work in progress - not yet ready
- netfilter p-o-m-ng update - 20061213 updated pom-ng patches 10-44
- patch49 kernel-2.6.18-layer7-2.7.patch added

Revision 1.441.2.1676  2006/12/14 12:21:47  glen
- hardlink over copy speedup from kernel.spec

Revision 1.441.2.1675  2006/12/13 23:36:30  mguevara
- todo update

Revision 1.441.2.1674  2006/12/13 23:15:23  mguevara
- 2.6.19 work in progress - not yet ready
- todo changed
- reiser4 bcond added (default off)
- patch5 vesafb-tng-1.0-rc2-2.6.19-rc2.patch added (applies but not tested,
  bcond off by default)
- patch51 reiser4-for-2.6.19.patch added

Revision 1.441.2.1673  2006/12/12 15:56:36  mguevara
- updated todo
- patch2001 kernel-drm_pciids-via.patch removed - id already in 2.6.19

Revision 1.441.2.1672  2006/12/12 15:02:16  mguevara
- todo update (see which patches need update)
- pax bcond introduced (default off)
- ide_acpi bcond introduced (default on)
- pax related config files added
- patch75 linux-2.6.17-ide-acpi-support.patch added
- patch80 linux-2.6.19-cx88-tvaudio.patch added
- patch85 hostap-kernel-2.6.18.patch added
- package desc update - PaX related
- PaXconfig function tunes up per architecture PaX config options

Revision 1.441.2.1671  2006/12/11 22:47:50  mguevara
- 2.6.19.1 update, not ready yet btw.

Revision 1.441.2.1670  2006/12/10 23:36:12  mguevara
- todo updated

Revision 1.441.2.1669  2006/12/09 10:25:29  zbyniu
- ups, kernel-bcm43xx-patch_2.6.18.1_for_PCI-E.patch not all in sources

Revision 1.441.2.1668  2006/12/09 01:53:55  zbyniu
- removed obsoleted patches

Revision 1.441.2.1667  2006/12/09 00:11:06  mguevara
- todo update, p72 (linux-2.6-suspend2-off.patch) not needed

Revision 1.441.2.1666  2006/12/08 23:00:42  mguevara
- change in suspend2 patch structure (single patch instead of tar.bz2)
  so we use patch69 instead source10

Revision 1.441.2.1665  2006/12/08 22:33:42  mguevara
- massive 2.6.19 todo
- patch1 updated but we could test the alternative one and test 2057x-based
  promise support

Revision 1.441.2.1664  2006/12/04 21:22:08  blues
- added routes patch

Revision 1.441.2.1663  2006/11/29 23:26:35  arekm
- start playing with 2.6.19; 2.6.18 on LINUX_2_6_18

Revision 1.441.2.1662  2006/11/25 20:20:05  siefca
- added Wake-On-Lan patch for nVidia forcedeth ethernet driver

Revision 1.441.2.1661  2006/11/20 13:20:36  baggins
- 2.6.18.3

Revision 1.441.2.1660  2006/11/17 13:20:06  cieciwa
- next fix (?)

Revision 1.441.2.1659  2006/11/17 13:11:32  cieciwa
- fixed %install.

Revision 1.441.2.1658  2006/11/13 15:53:03  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.441.2.1657  2006/11/13 11:26:01  czarny
- few little things, that helped me build this kernel (as I need 2.6.18 for drivers of my new PC)

Revision 1.441.2.1656  2006/11/05 23:01:55  glen
- don't blame df for missing sources

Revision 1.441.2.1655  2006/11/05 13:51:25  glen
- leave cleanup as very last in %prep

Revision 1.441.2.1654  2006/11/05 12:47:21  blues
- removed, doesn't work

Revision 1.441.2.1653  2006/11/05 12:07:44  blues
- lets try to move config preparing to setup

Revision 1.441.2.1652  2006/11/05 10:54:21  blues
- started update to 2.6.18.2 - ti_sd patch added

Revision 1.441.2.1651  2006/10/29 23:18:58  glen
- diffutils is required by rpm-build

Revision 1.441.2.1650  2006/10/29 23:13:39  glen
- pass %{__cc} in crossopts
- use rpm macros for crossopts and depmod

Revision 1.441.2.1649  2006/10/29 23:09:21  glen
- provide kernel-module-build %{_basever} for external module building

Revision 1.441.2.1648  2006/10/19 05:14:06  matkor
- Release 4. One more bcm43xx fix.

Revision 1.441.2.1647  2006/10/18 16:08:03  baggins
- reenabled vserver (updated to vs2.1.1-rc41)

Revision 1.441.2.1646  2006/10/15 22:36:49  matkor
- Version 2.6.18.1-3. Added support for PCIe versions of bcm43xx cards.

Revision 1.441.2.1645  2006/10/15 13:05:30  paszczus
- some cleanups

Revision 1.441.2.1644  2006/10/15 02:20:48  matkor
- Version 2.6.18.1-2. Fixed my error in version representation.

Revision 1.441.2.1643  2006/10/14 22:55:49  matkor
- 2.6.18.1-1.
- Commented rejecting patches (vs2).
- Builds --without grsecurity (grsecurity rejects also)

Revision 1.441.2.1642  2006/10/10 15:46:18  witekfl
- added drm_pciids-via.patch

Revision 1.441.2.1641  2006/10/09 11:10:22  hawk
- official grsecurity for 2.6.18
- release 3

Revision 1.441.2.1640  2006/10/07 15:11:52  hawk
- smp kernel does compile on sparc32, at least on our builder

Revision 1.441.2.1639  2006/10/07 12:16:20  baggins
- fix suspend2 source

Revision 1.441.2.1638  2006/09/29 14:14:09  zbyniu
- linux-2.6-vs2.1-suspend2.patch only if supported arch

Revision 1.441.2.1637  2006/09/29 09:38:58  cieciwa
- s/ifnarch/ifarch/ for suspend2.

Revision 1.441.2.1636  2006/09/29 08:34:03  zbyniu
- rpm macros need utsrelease.h for external modules; rel 2

Revision 1.441.2.1635  2006/09/28 15:56:46  zbyniu
- grsec_minimal re-enabled

Revision 1.441.2.1634  2006/09/27 19:14:56  zbyniu
- grsec_full is ready

Revision 1.441.2.1633  2006/09/26 22:37:00  wolvverine
- Patch for toshiba laptops

Revision 1.441.2.1632  2006/09/25 23:27:47  baggins
- vserver updated to 2.6.18-vs2.1.1-rc35-t1

Revision 1.441.2.1631  2006/09/25 06:43:00  cieciwa
- removed future update of netfilter.

Revision 1.441.2.1630  2006/09/22 15:20:39  baggins
- reenabled sk98 driver (fixed patch)

Revision 1.441.2.1629  2006/09/22 09:46:18  cieciwa
- OFF sk98lin patch - brooken.

Revision 1.441.2.1628  2006/09/22 09:33:52  cieciwa
- updated netfilter from 2.6.19.

Revision 1.441.2.1627  2006/09/21 14:23:53  paszczus
- updated PPC configs
- disabled suspend on PPC (build fails for now)

Revision 1.441.2.1626  2006/09/20 22:56:17  glen
- english added

Revision 1.441.2.1625  2006/09/20 17:07:09  baggins
- commented out one of vservers patches for now

Revision 1.441.2.1624  2006/09/20 17:01:03  baggins
- sk98lin driver updated
- TODO updated

Revision 1.441.2.1623  2006/09/20 16:42:24  baggins
- more patches updated

Revision 1.441.2.1622  2006/09/20 15:32:51  baggins
- more patches updated/removed

Revision 1.441.2.1621  2006/09/20 15:03:14  baggins
- removed obsolete patches
- uncommented some working/needed patches

Revision 1.441.2.1620  2006/09/20 11:49:59  baggins
- suspend2 updated to 2.2.8 for 2.6.18 and enabled

Revision 1.441.2.1619  2006/09/20 11:38:49  cieciwa
- removed inexisted sound module.

Revision 1.441.2.1618  2006/09/20 07:03:42  cieciwa
- applied netfiler modules.

Revision 1.441.2.1617  2006/09/18 12:06:07  baggins
- suspend2 2.2.7.6 for 2.6.18-rc7

Revision 1.441.2.1616  2006/09/18 09:38:26  glen
- correct md5

Revision 1.441.2.1615  2006/09/18 09:35:46  glen
- hey! don't nap!

Revision 1.441.2.1614  2006/09/18 09:27:15  cieciwa
- updated to version 2.6.18-rc7,
- _rel 0.0,
- commented all patches, exepts tahoe and squashfs,
- cutting Changelog.
